#C A very long period oscillator: 1800 generations. In more humorous moments,
#C known as the glider racetrack. Sometimes you're a glider, sometimes a
#C spaceship, and sometimes just a hole. -- David Goodenough
#C 
#C This uses several reactions:
#C 
#C The glider starts travelling SW, and enters a three glider to LWSS
#C synthesis found by David Buckingham. There are two parallel streams of
#C gliders moving in opposite directions, a NW P30 and and a SE P60. When
#C idling, these fall into eaters, but when *THE* glider arrives, a single
#C instance of the synthesis takes place, sending a LWSS west. The gun firing
#C SE has to be P60 to let the LWSS escape.
#C 
#C Next, the LWSS hits a glider going NE from another P60 gun, and is
#C converted back into a glider going SE. I'm not sure who this reaction is
#C due to.
#C 
#C Next, the kickback reaction with a NE stream from a P30 gun is used to
#C turn the glider around so it's going NW, and send it back through the
#C stream from the P60. As far as the LWSS + glider to glider synth goes,
#C a P30 gun would be OK. However, since you can't get a glider back through
#C a P30 stream without a crash, I need a P60 stream to let the glider back
#C through.
#C 
#C Now it goes to a shuttle that turns it NE, and then it hits a stream of SE
#C gliders from a P30 gun. When it hits the stream, it destroys exactly one
#C glider in the stream, creating a hole. When idling, the stream hits another
#C shuttle that turns it NW, and then runs into what would be a P30 gun, except
#C that the inbound stream keeps it permanently turned off. This is part of
#C the switchable P30 LWSS gun found by David I. Bell, AKA an in-line NOT gate
#C for glider guns. When the hole arrives, it allows a single glider to escape
#C NE, which is promptly turned SE by another shuttle.
#C 
#C The glider then runs into the westbound output of a P120 LWSS gun, as
#C found by Dean Hickerson. It undergoes the same glider plus LWSS gives
#C glider reaction, creating a glider going NE. This in then reversed to SW
#C by the "ping" reaction with a PD, and at that point it's on its
#C starting path. It continues SW, and once again enters the three glider
#C LWSS synthesis, and thus the cycle repeats.
#C 
#C David Goodenough, January 1995
#C "main" (cells 902 width 308 height 176 generation 0)
#R
7 -88
8 -88
8 -87
8 -86
10 -86
18 -86
9 -85
10 -85
16 -85
18 -85
14 -84
15 -84
87 -84
88 -84
89 -84
14 -83
15 -83
28 -83
29 -83
86 -83
90 -83
14 -82
15 -82
28 -82
29 -82
85 -82
91 -82
16 -81
18 -81
18 -80
84 -80
92 -80
84 -79
92 -79
85 -77
91 -77
86 -76
90 -76
87 -75
88 -75
89 -75
-70 -71
-71 -70
-69 -70
-88 -69
-87 -69
-71 -69
-70 -69
-68 -69
-88 -68
-86 -68
-71 -68
-70 -68
-68 -68
-67 -68
-63 -68
-62 -68
-93 -67
-92 -67
-85 -67
-71 -67
-70 -67
-68 -67
-63 -67
-62 -67
-97 -66
-96 -66
-94 -66
-91 -66
-88 -66
-85 -66
-71 -66
-69 -66
-97 -65
-96 -65
-93 -65
-92 -65
-85 -65
-76 -65
-70 -65
-88 -64
-86 -64
-78 -64
-76 -64
-88 -63
-87 -63
-77 -63
-76 -63
-69 -58
-68 -57
-70 -56
-69 -56
-68 -56
-27 -56
-26 -56
-27 -55
-25 -55
-16 -55
-36 -54
-35 -54
-34 -54
-32 -54
-31 -54
-26 -54
-25 -54
-24 -54
-17 -54
-9 -54
-36 -53
-35 -53
-34 -53
-33 -53
-30 -53
-25 -53
-24 -53
-23 -53
-17 -53
-16 -53
-10 -53
-8 -53
-32 -52
-31 -52
-26 -52
-25 -52
-24 -52
-16 -52
-11 -52
-7 -52
-6 -52
-2 -52
-1 -52
-27 -51
-25 -51
-11 -51
-7 -51
-6 -51
-2 -51
-1 -51
-61 -50
-27 -50
-26 -50
-11 -50
-7 -50
-6 -50
-63 -49
-61 -49
-10 -49
-8 -49
-62 -48
-61 -48
-9 -48
114 -47
113 -46
115 -46
112 -45
114 -45
115 -45
131 -45
132 -45
-23 -44
95 -44
96 -44
106 -44
107 -44
111 -44
112 -44
114 -44
115 -44
130 -44
132 -44
-54 -43
-23 -43
-22 -43
91 -43
92 -43
93 -43
94 -43
99 -43
100 -43
106 -43
107 -43
112 -43
114 -43
115 -43
129 -43
136 -43
137 -43
-53 -42
-24 -42
-22 -42
91 -42
92 -42
93 -42
95 -42
96 -42
99 -42
100 -42
113 -42
115 -42
129 -42
132 -42
135 -42
138 -42
140 -42
141 -42
-55 -41
-54 -41
-53 -41
96 -41
114 -41
120 -41
129 -41
136 -41
137 -41
140 -41
141 -41
120 -40
122 -40
130 -40
132 -40
120 -39
121 -39
131 -39
132 -39
21 -38
24 -38
81 -38
84 -38
111 -38
114 -38
20 -37
80 -37
110 -37
-31 -36
-30 -36
20 -36
24 -36
80 -36
84 -36
110 -36
114 -36
-46 -35
-30 -35
-29 -35
20 -35
21 -35
22 -35
23 -35
80 -35
81 -35
82 -35
83 -35
110 -35
111 -35
112 -35
113 -35
-48 -34
-46 -34
-31 -34
125 -34
-47 -33
-46 -33
124 -33
125 -33
124 -32
126 -32
5 -31
6 -31
9 -31
10 -31
11 -31
14 -31
15 -31
97 -31
98 -31
106 -31
107 -31
5 -30
8 -30
9 -30
10 -30
11 -30
12 -30
15 -30
97 -30
107 -30
117 -30
-38 -29
6 -29
7 -29
8 -29
9 -29
10 -29
11 -29
12 -29
13 -29
14 -29
98 -29
99 -29
100 -29
101 -29
102 -29
103 -29
104 -29
105 -29
106 -29
117 -29
118 -29
-38 -28
-37 -28
-31 -28
3 -28
4 -28
5 -28
15 -28
16 -28
17 -28
95 -28
96 -28
97 -28
100 -28
101 -28
102 -28
103 -28
104 -28
107 -28
108 -28
109 -28
116 -28
118 -28
-39 -27
-37 -27
-31 -27
-29 -27
3 -27
6 -27
14 -27
17 -27
95 -27
98 -27
101 -27
102 -27
103 -27
106 -27
109 -27
-28 -26
-27 -26
-22 -26
-21 -26
4 -26
5 -26
15 -26
16 -26
96 -26
97 -26
107 -26
108 -26
132 -26
133 -26
143 -26
144 -26
-28 -25
-27 -25
-22 -25
-21 -25
131 -25
132 -25
142 -25
144 -25
-28 -24
-27 -24
126 -24
133 -24
141 -24
142 -24
143 -24
148 -24
149 -24
151 -24
152 -24
153 -24
-41 -23
-40 -23
-31 -23
-29 -23
98 -23
125 -23
127 -23
140 -23
141 -23
142 -23
147 -23
150 -23
151 -23
152 -23
153 -23
-42 -22
-40 -22
-31 -22
96 -22
97 -22
98 -22
99 -22
106 -22
107 -22
110 -22
111 -22
123 -22
124 -22
128 -22
141 -22
142 -22
143 -22
148 -22
149 -22
-42 -21
90 -21
91 -21
95 -21
97 -21
99 -21
100 -21
106 -21
107 -21
108 -21
109 -21
111 -21
114 -21
116 -21
123 -21
124 -21
128 -21
142 -21
144 -21
-43 -20
-42 -20
90 -20
91 -20
94 -20
97 -20
99 -20
100 -20
101 -20
107 -20
108 -20
110 -20
114 -20
118 -20
123 -20
124 -20
128 -20
143 -20
144 -20
95 -19
97 -19
99 -19
100 -19
105 -19
118 -19
125 -19
127 -19
96 -18
97 -18
98 -18
99 -18
114 -18
119 -18
126 -18
98 -17
118 -17
114 -16
118 -16
114 -15
116 -15
-134 -4
-133 -4
-134 -3
-133 -3
-135 1
-134 1
-133 1
-135 2
-134 2
-133 2
-136 3
-132 3
-137 4
-131 4
12 4
-136 5
-132 5
-30 5
-28 5
12 5
14 5
-135 6
-134 6
-133 6
-31 6
-28 6
12 6
13 6
-40 7
-39 7
-32 7
-31 7
-20 7
-13 7
-40 8
-39 8
-34 8
-33 8
-29 8
-20 8
-14 8
-12 8
-32 9
-31 9
-21 9
-14 9
-13 9
-11 9
-31 10
-28 10
-25 10
-24 10
-14 10
-13 10
-11 10
-10 10
-6 10
-5 10
-30 11
-28 11
-25 11
-22 11
-21 11
-20 11
-14 11
-13 11
-11 11
-6 11
-5 11
-47 12
-46 12
-25 12
-24 12
-23 12
-22 12
-14 12
-12 12
-45 13
-24 13
-23 13
-13 13
-58 14
-57 14
-44 14
-35 14
-34 14
-137 15
-136 15
-58 15
-57 15
-52 15
-44 15
-35 15
-34 15
-136 16
-61 16
-60 16
-54 16
-53 16
-44 16
-139 17
-138 17
-137 17
-69 17
-68 17
-62 17
-61 17
-60 17
-54 17
-51 17
-50 17
-45 17
-31 17
-139 18
-69 18
-68 18
-61 18
-60 18
-53 18
-52 18
-51 18
-50 18
-49 18
-47 18
-46 18
-33 18
-32 18
-58 19
-57 19
-52 19
-32 19
-31 19
-58 20
-57 20
-44 22
-43 23
-45 24
-44 24
-43 24
-40 25
-38 25
-40 26
-39 26
-39 27
-90 30
-36 30
-92 31
-91 31
-90 31
-38 31
-36 31
-93 32
-37 32
-36 32
-93 33
-92 33
-42 33
-42 34
-41 34
-40 34
-39 35
-40 36
-39 36
-37 38
-36 38
-38 39
-37 39
-36 40
-104 43
-103 43
-103 44
-102 44
-104 45
-29 45
-30 46
-29 46
-30 47
-28 47
-21 47
-20 47
-21 48
-20 49
-19 49
-18 49
-18 50
-55 51
-120 52
-119 52
-57 52
-56 52
-55 52
-120 53
-58 53
-22 53
-21 53
-129 54
-122 54
-120 54
-58 54
-57 54
-23 54
-22 54
-132 55
-131 55
-130 55
-129 55
-122 55
-121 55
-21 55
-141 56
-133 56
-132 56
-131 56
-130 56
-61 56
-60 56
-142 57
-140 57
-133 57
-130 57
-62 57
-60 57
-9 57
-8 57
-143 58
-139 58
-138 58
-133 58
-132 58
-131 58
-130 58
-119 58
-118 58
-60 58
-9 58
-6 58
-154 59
-153 59
-143 59
-139 59
-138 59
-132 59
-131 59
-130 59
-129 59
-118 59
-117 59
-19 59
-15 59
-14 59
-13 59
-5 59
2 59
3 59
-154 60
-153 60
-143 60
-139 60
-138 60
-129 60
-119 60
-20 60
-19 60
-18 60
-17 60
-16 60
-12 60
-5 60
2 60
3 60
-142 61
-140 61
-32 61
-31 61
-21 61
-20 61
-18 61
-17 61
-13 61
-5 61
-141 62
-32 62
-31 62
-22 62
-21 62
-20 62
-18 62
-17 62
-13 62
-9 62
-6 62
-132 63
-130 63
-21 63
-20 63
-18 63
-17 63
-16 63
-15 63
-9 63
-8 63
-131 64
-130 64
-69 64
-68 64
-67 64
-20 64
-19 64
-18 64
-17 64
-131 65
-67 65
-19 65
-68 66
-127 67
-126 67
-127 68
-126 68
-140 70
-139 70
-141 71
-140 71
-139 71
-135 71
-134 71
-132 71
-76 71
-75 71
-151 72
-150 72
-144 72
-142 72
-141 72
-135 72
-131 72
-128 72
-77 72
-75 72
-151 73
-150 73
-144 73
-141 73
-136 73
-131 73
-128 73
-127 73
-75 73
-144 74
-142 74
-141 74
-136 74
-135 74
-134 74
-133 74
-127 74
-126 74
-117 74
-116 74
-141 75
-140 75
-139 75
-135 75
-127 75
-126 75
-125 75
-117 75
-116 75
-140 76
-139 76
-127 76
-126 76
-128 77
-127 77
-128 78
-95 79
-94 79
-84 79
-83 79
-82 79
-103 80
-95 80
-92 80
-82 80
-104 81
-100 81
-99 81
-91 81
-83 81
-77 81
-104 82
-98 82
-91 82
-78 82
-77 82
-76 82
-75 82
-103 83
-102 83
-101 83
-100 83
-99 83
-91 83
-79 83
-78 83
-76 83
-74 83
-70 83
-69 83
-95 84
-92 84
-80 84
-79 84
-78 84
-76 84
-73 84
-70 84
-69 84
-95 85
-94 85
-79 85
-78 85
-76 85
-74 85
-78 86
-77 86
-76 86
-75 86
-77 87
