#C P46 based glider racetrack. In reality a P6072 oscillator
#C 
#C *THE* glider starts about in the center, heading NE. Two 90 degree
#C rotations get it going SW, where it enters a "dual kickback" delay. This
#C uses two kickback's with a p92 stream and a p46 stream to delay the glider
#C a bit. I had to use a p92 for the second stream, since the escaping glider
#C couldn't get out past a p46 stream. I guess this is my own invention,
#C since I don't remember seeing this idea used any place else. The delay can
#C be made as large as you want by shifting one of the guns and it's
#C corresponding eater. Just be careful to keep it in sync.
#C 
#C Then another 90 degree turn, it slips through a p46 stream, and is
#C reflected by a reaction due Bill Gosper and Dean Hickerson. It's the
#C reflection that leaves a pond behind, except a p8 blocker deletes the
#C pond. Note that since 8 divides 6072 exactly, this p8 has no effect on
#C the total period of the oscillator.
#C 
#C Now it hits the stream, killing a glider, and when the hole gets down to a
#C second stream, it allows a single glider to escape. This one then falls
#C down a ladder of three 90 degree turns, and enters a glider to MWSS
#C converter, found by I don't know whom. This seems to be based on two guns,
#C one p23 and the other p46 gun. If you know who discovered this, let me
#C know please.
#C 
#C The MWSS makes a long eastward trek, and hits a MWSS to glider reverse
#C conversion, found by either David Buckingham or Dean Hickerson. I
#C plagarised it from the p15 gun from Dean Hickerson, but in the comments he
#C attributes part of it to David Buckingham. So I don't know who originally
#C came up with this. This has to use a P92 gun to seed it, since the
#C reaction takes so long that a p46 gun would send another glider in before
#C the reaction was complete, causing all sorts of havoc.
#C 
#C Another 90 degree turn, then it enters a reaction that converts the single
#C glider to a pair. I don't know who found this one, again, if you know can
#C you tell me? One glider hits a p46 stream, creating a hole, while the
#C other passes through and does a 90 degree turn. The "hole" hits another
#C stream, letting one escape, and now we're back to a pair of gliders, one
#C going NW, the other NE.
#C 
#C The next reaction is my own discovery, it's a P23 switchable LWSS gun,
#C inspired by David Bell's P30 switchable gun. The NW glider turns it on,
#C the NE one turns it off. You can delay these as needed to let as many LWSS
#C escape as you want: in this instance it's only turned on long enough to
#C allow a single LWSS to escape. If anyone is collecting things like this,
#C feel free to add it to the collection.
#C 
#C The LWSS gets turned south by another p46 shuttle, and eventually gets
#C converted back to a NW glider by yet another p46. The glider enters a
#C reaction that reflects by converting to a block, and then converting the
#C block. Dean Hickerson found this one. Lastly, it gets turned 90 degrees,
#C and is back where it started from.
#C 
#C David Goodenough, February 1995
#C 
#C "main" (cells 2756 width 571 height 383 generation 0)
#R
205 -191
206 -191
219 -191
220 -191
223 -191
228 -191
229 -191
205 -190
206 -190
219 -190
221 -190
222 -190
229 -190
230 -190
233 -190
220 -189
227 -189
234 -189
238 -189
220 -188
221 -188
222 -188
227 -188
239 -188
252 -188
253 -188
235 -187
236 -187
239 -187
252 -187
253 -187
220 -186
221 -186
222 -186
227 -186
237 -186
238 -186
220 -185
227 -185
231 -185
235 -185
236 -185
237 -185
205 -184
206 -184
219 -184
221 -184
222 -184
228 -184
229 -184
205 -183
206 -183
219 -183
220 -183
223 -183
228 -183
231 -183
235 -183
236 -183
237 -183
228 -182
237 -182
238 -182
235 -181
236 -181
239 -181
252 -181
253 -181
229 -180
230 -180
239 -180
252 -180
253 -180
193 -179
234 -179
238 -179
189 -178
190 -178
193 -178
233 -178
181 -177
182 -177
188 -177
194 -177
208 -177
209 -177
181 -176
182 -176
187 -176
188 -176
191 -176
193 -176
208 -176
209 -176
188 -175
189 -175
193 -175
189 -174
190 -174
191 -174
216 -174
202 -173
203 -173
207 -173
208 -173
216 -173
218 -173
189 -172
190 -172
191 -172
201 -172
204 -172
206 -172
209 -172
216 -172
217 -172
188 -171
189 -171
193 -171
200 -171
210 -171
70 -170
71 -170
77 -170
78 -170
181 -170
182 -170
187 -170
188 -170
191 -170
193 -170
199 -170
200 -170
210 -170
211 -170
70 -169
71 -169
77 -169
78 -169
181 -169
182 -169
188 -169
194 -169
200 -169
210 -169
189 -168
190 -168
193 -168
201 -168
204 -168
206 -168
209 -168
193 -167
202 -167
203 -167
207 -167
208 -167
211 -165
212 -165
213 -165
211 -164
205 -163
212 -163
204 -162
204 -161
205 -161
206 -161
-129 -159
-128 -158
-124 -158
71 -158
77 -158
235 -158
-137 -157
-136 -157
-133 -157
-132 -157
-123 -157
70 -157
72 -157
76 -157
78 -157
200 -157
235 -157
236 -157
-137 -156
-136 -156
-133 -156
-127 -156
-126 -156
-123 -156
69 -156
73 -156
75 -156
79 -156
198 -156
199 -156
233 -156
235 -156
236 -156
237 -156
249 -156
250 -156
-133 -155
-131 -155
-125 -155
-124 -155
-102 -155
-98 -155
-97 -155
-96 -155
69 -155
73 -155
75 -155
79 -155
199 -155
200 -155
216 -155
217 -155
237 -155
238 -155
249 -155
250 -155
-132 -154
-131 -154
-127 -154
-126 -154
-125 -154
-103 -154
-101 -154
-98 -154
-97 -154
-96 -154
-95 -154
-94 -154
-90 -154
-89 -154
69 -154
79 -154
215 -154
223 -154
224 -154
236 -154
237 -154
-103 -153
-99 -153
-98 -153
-94 -153
-93 -153
-90 -153
-89 -153
202 -153
203 -153
214 -153
217 -153
218 -153
223 -153
225 -153
236 -153
-132 -152
-131 -152
-127 -152
-126 -152
-125 -152
-102 -152
-99 -152
-95 -152
-94 -152
70 -152
71 -152
77 -152
78 -152
202 -152
203 -152
214 -152
217 -152
223 -152
-133 -151
-131 -151
-125 -151
-124 -151
-101 -151
-100 -151
-99 -151
-95 -151
12 -151
15 -151
193 -151
214 -151
216 -151
236 -151
-137 -150
-136 -150
-133 -150
-127 -150
-126 -150
-123 -150
2 -150
3 -150
4 -150
12 -150
193 -150
195 -150
215 -150
216 -150
236 -150
237 -150
-137 -149
-136 -149
-133 -149
-132 -149
-123 -149
-101 -149
-100 -149
-99 -149
-95 -149
-12 -149
-11 -149
1 -149
6 -149
16 -149
193 -149
194 -149
237 -149
238 -149
249 -149
250 -149
-128 -148
-124 -148
-102 -148
-99 -148
-95 -148
-94 -148
-12 -148
-11 -148
0 -148
6 -148
15 -148
16 -148
72 -148
76 -148
215 -148
216 -148
233 -148
235 -148
236 -148
237 -148
249 -148
250 -148
-129 -147
-103 -147
-99 -147
-98 -147
-94 -147
-93 -147
-90 -147
-89 -147
1 -147
10 -147
77 -147
78 -147
214 -147
216 -147
235 -147
236 -147
-120 -146
-103 -146
-101 -146
-98 -146
-97 -146
-96 -146
-95 -146
-94 -146
-90 -146
-89 -146
2 -146
3 -146
12 -146
13 -146
68 -146
69 -146
73 -146
75 -146
79 -146
202 -146
203 -146
214 -146
217 -146
235 -146
-120 -145
-118 -145
-102 -145
-98 -145
-97 -145
-96 -145
73 -145
75 -145
79 -145
187 -145
189 -145
202 -145
203 -145
214 -145
217 -145
218 -145
-120 -144
-119 -144
2 -144
3 -144
12 -144
13 -144
76 -144
77 -144
78 -144
187 -144
188 -144
215 -144
1 -143
10 -143
68 -143
71 -143
188 -143
216 -143
217 -143
-12 -142
-11 -142
0 -142
6 -142
15 -142
16 -142
70 -142
71 -142
-12 -141
-11 -141
1 -141
6 -141
16 -141
2 -140
3 -140
4 -140
12 -140
182 -140
192 -140
12 -139
15 -139
181 -139
193 -139
194 -139
181 -138
182 -138
183 -138
179 -136
180 -136
192 -136
194 -136
-131 -135
180 -135
185 -135
186 -135
187 -135
-132 -134
177 -134
178 -134
179 -134
187 -134
198 -134
-132 -133
-131 -133
-130 -133
177 -133
186 -133
197 -133
198 -133
-234 -132
-233 -132
197 -132
199 -132
-234 -131
-233 -131
-208 -130
-206 -130
-203 -130
-202 -130
180 -130
-223 -129
-222 -129
-209 -129
-205 -129
-203 -129
-202 -129
-201 -129
-196 -129
-195 -129
180 -129
181 -129
-235 -128
-234 -128
-223 -128
-222 -128
-208 -128
-201 -128
-200 -128
-196 -128
-195 -128
179 -128
181 -128
203 -128
204 -128
-235 -127
-234 -127
-232 -127
-207 -127
-206 -127
-205 -127
-204 -127
-203 -127
-201 -127
203 -127
205 -127
-232 -126
-204 -126
-203 -126
-202 -126
203 -126
-232 -125
-223 -125
-221 -125
-217 -125
-215 -125
-235 -124
-232 -124
-221 -124
-217 -124
-204 -124
-203 -124
-202 -124
174 -124
175 -124
-234 -123
-233 -123
-225 -123
-213 -123
-207 -123
-206 -123
-205 -123
-204 -123
-203 -123
-201 -123
-143 -123
173 -123
175 -123
-226 -122
-222 -122
-216 -122
-212 -122
-208 -122
-201 -122
-200 -122
-196 -122
-195 -122
-143 -122
-141 -122
175 -122
209 -122
210 -122
-225 -121
-213 -121
-209 -121
-205 -121
-203 -121
-202 -121
-201 -121
-196 -121
-195 -121
-143 -121
-142 -121
139 -121
140 -121
141 -121
142 -121
208 -121
209 -121
-221 -120
-217 -120
-208 -120
-206 -120
-203 -120
-202 -120
138 -120
139 -120
142 -120
157 -120
158 -120
210 -120
-223 -119
-221 -119
-217 -119
-215 -119
137 -119
138 -119
141 -119
157 -119
158 -119
127 -118
128 -118
138 -118
141 -118
168 -118
169 -118
110 -117
111 -117
126 -117
127 -117
129 -117
130 -117
139 -117
140 -117
169 -117
170 -117
110 -116
111 -116
127 -116
130 -116
168 -116
214 -116
215 -116
216 -116
127 -115
130 -115
139 -115
140 -115
214 -115
128 -114
129 -114
138 -114
141 -114
215 -114
248 -114
-45 -113
-44 -113
137 -113
138 -113
141 -113
157 -113
158 -113
248 -113
251 -113
252 -113
-154 -112
-44 -112
128 -112
129 -112
138 -112
139 -112
142 -112
157 -112
158 -112
162 -112
163 -112
164 -112
232 -112
233 -112
247 -112
253 -112
-155 -111
-44 -111
-42 -111
127 -111
130 -111
139 -111
140 -111
141 -111
142 -111
164 -111
221 -111
232 -111
233 -111
248 -111
250 -111
253 -111
254 -111
262 -111
263 -111
-155 -110
-154 -110
-153 -110
-43 -110
-42 -110
110 -110
111 -110
127 -110
130 -110
163 -110
220 -110
221 -110
248 -110
252 -110
253 -110
260 -110
261 -110
262 -110
263 -110
264 -110
110 -109
111 -109
126 -109
127 -109
129 -109
130 -109
220 -109
222 -109
250 -109
251 -109
252 -109
259 -109
264 -109
279 -109
280 -109
127 -108
128 -108
259 -108
262 -108
263 -108
264 -108
279 -108
280 -108
157 -107
250 -107
251 -107
252 -107
259 -107
260 -107
263 -107
157 -106
158 -106
248 -106
252 -106
253 -106
261 -106
262 -106
145 -105
156 -105
158 -105
226 -105
227 -105
232 -105
233 -105
248 -105
250 -105
253 -105
254 -105
143 -104
145 -104
226 -104
228 -104
232 -104
233 -104
247 -104
253 -104
261 -104
262 -104
-83 -103
-82 -103
-33 -103
144 -103
145 -103
226 -103
248 -103
251 -103
252 -103
259 -103
260 -103
263 -103
-83 -102
-34 -102
-33 -102
248 -102
259 -102
262 -102
263 -102
264 -102
279 -102
280 -102
-85 -101
-83 -101
-34 -101
-32 -101
151 -101
152 -101
259 -101
264 -101
279 -101
280 -101
-166 -100
-85 -100
-84 -100
150 -100
152 -100
260 -100
261 -100
262 -100
263 -100
264 -100
-166 -99
-164 -99
-94 -99
-93 -99
152 -99
232 -99
233 -99
262 -99
263 -99
-166 -98
-165 -98
-93 -98
-92 -98
231 -98
232 -98
-118 -97
-114 -97
-97 -97
-96 -97
-95 -97
-94 -97
-93 -97
154 -97
155 -97
163 -97
164 -97
233 -97
245 -97
-130 -96
-129 -96
-119 -96
-113 -96
-97 -96
-96 -96
-95 -96
-94 -96
154 -96
155 -96
162 -96
165 -96
166 -96
178 -96
179 -96
244 -96
-130 -95
-129 -95
-119 -95
-80 -95
-79 -95
-78 -95
-63 -95
-62 -95
153 -95
156 -95
161 -95
162 -95
163 -95
164 -95
165 -95
166 -95
178 -95
179 -95
244 -95
245 -95
246 -95
-119 -94
-118 -94
-114 -94
-97 -94
-96 -94
-95 -94
-94 -94
-80 -94
-76 -94
-63 -94
-62 -94
154 -94
155 -94
157 -94
163 -94
164 -94
165 -94
166 -94
-117 -93
-116 -93
-115 -93
-97 -93
-96 -93
-95 -93
-94 -93
-93 -93
-80 -93
-75 -93
154 -93
155 -93
157 -93
237 -93
238 -93
239 -93
-93 -92
-92 -92
-79 -92
-75 -92
237 -92
-117 -91
-116 -91
-115 -91
-104 -91
-102 -91
-94 -91
-93 -91
-22 -91
-21 -91
72 -91
73 -91
154 -91
155 -91
157 -91
238 -91
-119 -90
-118 -90
-114 -90
-103 -90
-102 -90
-79 -90
-75 -90
-23 -90
-22 -90
65 -90
66 -90
67 -90
72 -90
73 -90
154 -90
155 -90
157 -90
163 -90
164 -90
165 -90
166 -90
226 -90
-177 -89
-130 -89
-129 -89
-119 -89
-103 -89
-80 -89
-75 -89
-21 -89
65 -89
66 -89
67 -89
139 -89
140 -89
141 -89
151 -89
152 -89
154 -89
155 -89
156 -89
161 -89
162 -89
163 -89
164 -89
165 -89
166 -89
178 -89
179 -89
225 -89
226 -89
235 -89
236 -89
-178 -88
-130 -88
-129 -88
-119 -88
-113 -88
-80 -88
-76 -88
-63 -88
-62 -88
64 -88
68 -88
141 -88
151 -88
153 -88
155 -88
162 -88
165 -88
166 -88
178 -88
179 -88
211 -88
212 -88
224 -88
225 -88
226 -88
228 -88
234 -88
237 -88
-178 -87
-177 -87
-176 -87
-118 -87
-114 -87
-80 -87
-79 -87
-78 -87
-63 -87
-62 -87
64 -87
65 -87
67 -87
68 -87
140 -87
152 -87
153 -87
154 -87
155 -87
163 -87
164 -87
211 -87
212 -87
223 -87
224 -87
233 -87
234 -87
236 -87
237 -87
238 -87
64 -86
68 -86
119 -86
123 -86
153 -86
154 -86
224 -86
225 -86
234 -86
235 -86
237 -86
-92 -85
65 -85
67 -85
107 -85
108 -85
118 -85
124 -85
225 -85
236 -85
-93 -84
-92 -84
-91 -84
65 -84
67 -84
107 -84
108 -84
124 -84
-94 -83
-92 -83
66 -83
119 -83
123 -83
124 -83
225 -83
-97 -82
-96 -82
-85 -82
-84 -82
120 -82
121 -82
122 -82
138 -82
139 -82
154 -82
155 -82
224 -82
225 -82
249 -82
250 -82
-95 -81
-93 -81
-92 -81
-85 -81
-83 -81
7 -81
8 -81
137 -81
138 -81
154 -81
155 -81
211 -81
212 -81
223 -81
224 -81
238 -81
239 -81
249 -81
251 -81
-93 -80
-92 -80
-91 -80
-83 -80
-10 -80
7 -80
9 -80
17 -80
18 -80
120 -80
121 -80
122 -80
138 -80
139 -80
140 -80
141 -80
142 -80
211 -80
212 -80
224 -80
225 -80
226 -80
228 -80
238 -80
239 -80
249 -80
-93 -79
-92 -79
-91 -79
-83 -79
-82 -79
-11 -79
-10 -79
9 -79
17 -79
18 -79
119 -79
123 -79
124 -79
139 -79
140 -79
141 -79
142 -79
225 -79
226 -79
-20 -78
-19 -78
-11 -78
-9 -78
7 -78
8 -78
9 -78
67 -78
68 -78
70 -78
71 -78
107 -78
108 -78
124 -78
226 -78
-189 -77
-73 -77
-72 -77
-30 -77
-29 -77
-21 -77
-19 -77
66 -77
72 -77
107 -77
108 -77
118 -77
124 -77
139 -77
140 -77
141 -77
142 -77
265 -77
266 -77
267 -77
282 -77
283 -77
-189 -76
-187 -76
-73 -76
-72 -76
-30 -76
-29 -76
-22 -76
-21 -76
-19 -76
119 -76
123 -76
138 -76
139 -76
140 -76
141 -76
142 -76
265 -76
269 -76
282 -76
283 -76
-189 -75
-188 -75
-21 -75
-20 -75
65 -75
73 -75
137 -75
138 -75
154 -75
155 -75
252 -75
265 -75
270 -75
-20 -74
7 -74
8 -74
9 -74
65 -74
68 -74
70 -74
73 -74
138 -74
139 -74
154 -74
155 -74
235 -74
236 -74
252 -74
253 -74
266 -74
270 -74
9 -73
17 -73
18 -73
65 -73
66 -73
67 -73
71 -73
72 -73
73 -73
235 -73
236 -73
253 -73
254 -73
-20 -72
7 -72
9 -72
17 -72
18 -72
248 -72
249 -72
252 -72
253 -72
266 -72
270 -72
-21 -71
-20 -71
7 -71
8 -71
265 -71
270 -71
-249 -70
-30 -70
-29 -70
-22 -70
-21 -70
-19 -70
265 -70
269 -70
282 -70
283 -70
-250 -69
-249 -69
-30 -69
-29 -69
-21 -69
-19 -69
265 -69
266 -69
267 -69
282 -69
283 -69
-251 -68
-250 -68
-249 -68
-247 -68
-237 -68
-236 -68
-81 -68
-79 -68
-20 -68
-19 -68
248 -68
249 -68
252 -68
253 -68
-283 -67
-280 -67
-252 -67
-251 -67
-237 -67
-236 -67
-80 -67
-79 -67
235 -67
236 -67
253 -67
254 -67
-280 -66
-272 -66
-271 -66
-270 -66
-251 -66
-250 -66
-200 -66
-80 -66
235 -66
236 -66
252 -66
253 -66
-284 -65
-274 -65
-269 -65
-250 -65
-201 -65
252 -65
-284 -64
-283 -64
-274 -64
-268 -64
-201 -64
-200 -64
-199 -64
65 -64
66 -64
72 -64
73 -64
-278 -63
-269 -63
-250 -63
65 -63
66 -63
72 -63
73 -63
-281 -62
-280 -62
-271 -62
-270 -62
-251 -62
-250 -62
-252 -61
-251 -61
-237 -61
-236 -61
-281 -60
-280 -60
-271 -60
-270 -60
-251 -60
-250 -60
-249 -60
-247 -60
-237 -60
-236 -60
-278 -59
-269 -59
-250 -59
-249 -59
-284 -58
-283 -58
-274 -58
-268 -58
-249 -58
-284 -57
-274 -57
-269 -57
-280 -56
-272 -56
-271 -56
-270 -56
-252 -56
-283 -55
-280 -55
-251 -55
-253 -54
-252 -54
-251 -54
-212 -54
-212 -53
-210 -53
230 -53
231 -53
-212 -52
-211 -52
-64 -52
-63 -52
126 -52
127 -52
133 -52
134 -52
230 -52
232 -52
-64 -51
-62 -51
126 -51
127 -51
133 -51
134 -51
219 -51
220 -51
221 -51
230 -51
-62 -50
221 -50
-62 -49
-61 -49
220 -49
127 -46
133 -46
126 -45
127 -45
128 -45
132 -45
133 -45
134 -45
-240 -44
125 -44
128 -44
129 -44
131 -44
132 -44
135 -44
-242 -43
-240 -43
-223 -43
125 -43
129 -43
131 -43
135 -43
-241 -42
-240 -42
-224 -42
127 -42
129 -42
131 -42
133 -42
-224 -41
-223 -41
-222 -41
-57 -41
241 -41
242 -41
243 -41
-56 -40
-52 -40
124 -40
125 -40
127 -40
128 -40
132 -40
133 -40
135 -40
136 -40
208 -40
209 -40
241 -40
-65 -39
-64 -39
-61 -39
-60 -39
-51 -39
126 -39
134 -39
207 -39
209 -39
242 -39
-65 -38
-64 -38
-61 -38
-55 -38
-54 -38
-51 -38
209 -38
-61 -37
-59 -37
-53 -37
-52 -37
-60 -36
-59 -36
-55 -36
-54 -36
-53 -36
-60 -34
-59 -34
-55 -34
-54 -34
-53 -34
133 -34
-61 -33
-59 -33
-53 -33
-52 -33
132 -33
133 -33
134 -33
-65 -32
-64 -32
-61 -32
-55 -32
-54 -32
-51 -32
-38 -32
-37 -32
131 -32
135 -32
-65 -31
-64 -31
-61 -31
-60 -31
-51 -31
-38 -31
-37 -31
130 -31
136 -31
-56 -30
-52 -30
130 -30
136 -30
253 -30
254 -30
-57 -29
131 -29
135 -29
253 -29
255 -29
196 -28
197 -28
198 -28
253 -28
272 -28
273 -28
281 -28
282 -28
283 -28
284 -28
131 -27
135 -27
198 -27
271 -27
274 -27
281 -27
285 -27
130 -26
136 -26
197 -26
239 -26
240 -26
270 -26
271 -26
274 -26
285 -26
126 -25
127 -25
130 -25
136 -25
238 -25
239 -25
240 -25
241 -25
249 -25
250 -25
271 -25
274 -25
279 -25
281 -25
282 -25
284 -25
126 -24
127 -24
131 -24
135 -24
237 -24
239 -24
241 -24
248 -24
251 -24
252 -24
272 -24
279 -24
280 -24
281 -24
132 -23
133 -23
134 -23
237 -23
238 -23
240 -23
241 -23
242 -23
247 -23
248 -23
249 -23
250 -23
251 -23
252 -23
1 -22
133 -22
240 -22
241 -22
243 -22
249 -22
250 -22
251 -22
252 -22
272 -22
279 -22
280 -22
281 -22
1 -21
2 -21
240 -21
241 -21
243 -21
271 -21
274 -21
279 -21
281 -21
282 -21
284 -21
0 -20
2 -20
270 -20
271 -20
274 -20
285 -20
240 -19
241 -19
243 -19
271 -19
274 -19
281 -19
285 -19
240 -18
241 -18
243 -18
249 -18
250 -18
251 -18
252 -18
272 -18
273 -18
281 -18
282 -18
283 -18
284 -18
185 -17
186 -17
237 -17
238 -17
240 -17
241 -17
242 -17
247 -17
248 -17
249 -17
250 -17
251 -17
252 -17
184 -16
186 -16
237 -16
239 -16
241 -16
248 -16
251 -16
252 -16
186 -15
238 -15
239 -15
240 -15
241 -15
249 -15
250 -15
-119 -14
239 -14
240 -14
-136 -13
-135 -13
-119 -13
-118 -13
-109 -13
-108 -13
-136 -12
-135 -12
-118 -12
-117 -12
-109 -12
-108 -12
-18 -12
-17 -12
-123 -11
-122 -11
-119 -11
-118 -11
-18 -11
-17 -11
-12 -11
-11 -11
-10 -11
-12 -10
-11 -10
-10 -10
-13 -9
-9 -9
-13 -8
-12 -8
-10 -8
-9 -8
-123 -7
-122 -7
-119 -7
-118 -7
-13 -7
-9 -7
-136 -6
-135 -6
-118 -6
-117 -6
-109 -6
-108 -6
-12 -6
-10 -6
-136 -5
-135 -5
-119 -5
-118 -5
-109 -5
-108 -5
-12 -5
-10 -5
173 -5
174 -5
175 -5
-119 -4
-11 -4
175 -4
174 -3
-16 1
-15 1
-13 1
-12 1
-17 2
-11 2
-18 4
-10 4
-18 5
-15 5
-13 5
-10 5
-18 6
-17 6
-16 6
-12 6
-11 6
-10 6
162 6
163 6
161 7
163 7
163 8
196 8
197 8
203 8
204 8
196 9
197 9
203 9
204 9
-156 13
-161 14
-157 14
-176 15
-175 15
-162 15
-153 15
-152 15
-149 15
-148 15
-18 15
-17 15
-11 15
-10 15
-176 16
-175 16
-162 16
-159 16
-158 16
-152 16
-149 16
-148 16
-18 16
-17 16
-11 16
-10 16
-161 17
-160 17
-154 17
-152 17
-160 18
-159 18
-158 18
-154 18
-153 18
150 18
151 18
152 18
120 19
123 19
152 19
-160 20
-159 20
-158 20
-154 20
-153 20
123 20
131 20
132 20
133 20
151 20
-161 21
-160 21
-154 21
-152 21
119 21
129 21
134 21
-162 22
-159 22
-158 22
-152 22
-149 22
-148 22
119 22
120 22
129 22
135 22
154 22
196 22
204 22
-162 23
-153 23
-152 23
-149 23
-148 23
125 23
134 23
153 23
154 23
195 23
197 23
203 23
205 23
-161 24
-157 24
122 24
123 24
132 24
133 24
152 24
153 24
154 24
156 24
166 24
167 24
198 24
202 24
-156 25
151 25
152 25
166 25
167 25
195 25
198 25
202 25
205 25
122 26
123 26
132 26
133 26
152 26
153 26
196 26
198 26
202 26
204 26
125 27
134 27
153 27
198 27
199 27
201 27
202 27
119 28
120 28
129 28
135 28
195 28
196 28
198 28
199 28
201 28
202 28
204 28
205 28
119 29
129 29
134 29
153 29
195 29
196 29
199 29
201 29
204 29
205 29
123 30
131 30
132 30
133 30
152 30
153 30
196 30
197 30
198 30
202 30
203 30
204 30
120 31
123 31
151 31
152 31
166 31
167 31
197 31
203 31
152 32
153 32
154 32
156 32
166 32
167 32
153 33
154 33
154 34
205 34
211 34
204 35
205 35
206 35
210 35
211 35
212 35
203 36
204 36
207 36
209 36
212 36
213 36
203 37
204 37
206 37
207 37
209 37
210 37
212 37
213 37
206 38
207 38
209 38
210 38
204 39
206 39
210 39
212 39
203 40
206 40
210 40
213 40
206 41
210 41
203 42
205 42
211 42
213 42
204 43
212 43
-223 52
-228 53
-224 53
136 53
137 53
143 53
144 53
-243 54
-242 54
-229 54
-220 54
-219 54
-216 54
-215 54
136 54
137 54
143 54
144 54
-243 55
-242 55
-229 55
-226 55
-225 55
-219 55
-216 55
-215 55
-228 56
-227 56
-221 56
-219 56
204 56
205 56
211 56
212 56
-227 57
-226 57
-225 57
-221 57
-220 57
204 57
205 57
211 57
212 57
-227 59
-226 59
-225 59
-221 59
-220 59
137 59
143 59
-228 60
-227 60
-221 60
-219 60
136 60
137 60
138 60
142 60
143 60
144 60
-243 61
-242 61
-229 61
-226 61
-225 61
-219 61
135 61
138 61
139 61
141 61
142 61
145 61
-243 62
-242 62
-229 62
-220 62
-219 62
135 62
139 62
141 62
145 62
-228 63
-224 63
137 63
139 63
141 63
143 63
-223 64
134 65
135 65
137 65
138 65
142 65
143 65
145 65
146 65
136 66
144 66
143 71
142 72
143 72
144 72
141 73
145 73
140 74
146 74
140 75
146 75
141 76
145 76
141 78
145 78
140 79
146 79
76 80
77 80
136 80
137 80
140 80
146 80
76 81
77 81
136 81
137 81
141 81
145 81
142 82
143 82
144 82
143 83
-156 91
-161 92
-157 92
-176 93
-175 93
-162 93
-153 93
-152 93
-149 93
-148 93
-176 94
-175 94
-162 94
-159 94
-158 94
-152 94
-149 94
-148 94
76 94
77 94
83 94
84 94
-161 95
-160 95
-154 95
-152 95
76 95
78 95
79 95
81 95
82 95
84 95
-258 96
-257 96
-256 96
-252 96
-160 96
-159 96
-158 96
-154 96
-153 96
77 96
79 96
81 96
83 96
-260 97
-259 97
-258 97
-257 97
-256 97
-253 97
-251 97
-238 97
-237 97
77 97
79 97
81 97
83 97
-261 98
-260 98
-256 98
-255 98
-251 98
-238 98
-237 98
-160 98
-159 98
-158 98
-154 98
-153 98
76 98
84 98
-266 99
-265 99
-263 99
-260 99
-259 99
-255 99
-252 99
-161 99
-160 99
-154 99
-152 99
-285 100
-284 100
-271 100
-270 100
-269 100
-266 100
-265 100
-262 100
-259 100
-255 100
-254 100
-253 100
-162 100
-159 100
-158 100
-152 100
-149 100
-148 100
-285 101
-284 101
-270 101
-269 101
-262 101
-162 101
-153 101
-152 101
-149 101
-148 101
-269 102
-268 102
-267 102
-263 102
-262 102
-259 102
-255 102
-254 102
-253 102
-161 102
-157 102
78 102
79 102
81 102
82 102
-268 103
-264 103
-260 103
-259 103
-255 103
-252 103
-156 103
76 103
79 103
81 103
84 103
-261 104
-260 104
-256 104
-255 104
-251 104
-238 104
-237 104
76 104
77 104
78 104
82 104
83 104
84 104
-268 105
-264 105
-260 105
-259 105
-258 105
-257 105
-256 105
-253 105
-251 105
-238 105
-237 105
77 105
83 105
-269 106
-268 106
-267 106
-263 106
-262 106
-258 106
-257 106
-256 106
-252 106
-285 107
-284 107
-270 107
-269 107
-262 107
76 107
77 107
83 107
84 107
-285 108
-284 108
-271 108
-270 108
-269 108
-266 108
-265 108
-262 108
76 108
77 108
83 108
84 108
-266 109
-265 109
-263 109
-225 110
-224 110
-223 110
-222 110
-241 111
-240 111
-225 111
-222 111
-221 111
-214 111
-213 111
-241 112
-240 112
-224 112
-221 112
-220 112
-214 112
-213 112
-249 113
-224 113
-221 113
-248 114
-223 114
-222 114
-250 115
-249 115
-248 115
-239 115
-235 115
-240 116
-238 116
-236 116
-234 116
-223 116
-222 116
-242 117
-241 117
-238 117
-236 117
-233 117
-232 117
-224 117
-221 117
-242 118
-241 118
-233 118
-232 118
-224 118
-221 118
-220 118
-214 118
-213 118
-242 119
-241 119
-238 119
-236 119
-233 119
-232 119
-225 119
-222 119
-221 119
-214 119
-213 119
-240 120
-238 120
-236 120
-234 120
-225 120
-224 120
-223 120
-222 120
-239 121
-235 121
-245 123
-244 123
-246 124
-244 124
225 124
226 124
-244 125
-237 125
225 125
-239 126
-237 126
223 126
225 126
-238 127
-237 127
223 127
224 127
-267 131
-266 131
-233 131
-231 131
-269 132
-268 132
-265 132
-232 132
-231 132
216 132
217 132
-269 133
-268 133
-267 133
-266 133
-265 133
-264 133
-232 133
215 133
217 133
-269 134
-268 134
-267 134
-266 134
-250 134
-249 134
-248 134
217 134
-257 135
-256 135
-255 135
-252 135
-247 135
-235 135
-234 135
-255 136
-252 136
-246 136
-235 136
-234 136
-226 136
-256 137
-247 137
-225 137
-269 138
-268 138
-267 138
-266 138
-249 138
-248 138
-227 138
-226 138
-225 138
-282 139
-281 139
-269 139
-268 139
-267 139
-266 139
-265 139
-264 139
-282 140
-281 140
-269 140
-268 140
-265 140
-249 140
-248 140
-267 141
-266 141
-247 141
-252 142
-246 142
-235 142
-234 142
-259 143
-258 143
-252 143
-247 143
-235 143
-234 143
-250 144
-249 144
-248 144
-230 147
-229 147
-228 147
-228 148
-216 148
-215 148
-229 149
-216 149
-215 150
-214 150
-213 150
-213 151
-246 153
-245 153
-243 153
-265 154
-264 154
-251 154
-250 154
-249 154
-246 154
-245 154
-242 154
-265 155
-264 155
-250 155
-249 155
-242 155
193 155
194 155
-249 156
-248 156
-247 156
-243 156
-242 156
-238 156
-237 156
-236 156
-232 156
192 156
194 156
-248 157
-244 157
-240 157
-239 157
-238 157
-237 157
-236 157
-233 157
-231 157
-218 157
-217 157
194 157
-241 158
-240 158
-236 158
-235 158
-231 158
-218 158
-217 158
-248 159
-244 159
-240 159
-239 159
-235 159
-232 159
-249 160
-248 160
-247 160
-243 160
-242 160
-239 160
-235 160
-234 160
-233 160
-265 161
-264 161
-250 161
-249 161
-242 161
-265 162
-264 162
-251 162
-250 162
-249 162
-246 162
-245 162
-242 162
-239 162
-235 162
-234 162
-233 162
-246 163
-245 163
-243 163
-240 163
-239 163
-235 163
-232 163
-241 164
-240 164
-236 164
-235 164
-231 164
-218 164
-217 164
201 164
202 164
-240 165
-239 165
-238 165
-237 165
-236 165
-233 165
-231 165
-218 165
-217 165
201 165
202 165
-238 166
-237 166
-236 166
-232 166
191 167
192 167
179 168
180 168
182 168
183 168
191 168
178 169
182 169
184 169
189 169
191 169
178 170
179 170
180 170
182 170
189 170
190 170
181 171
182 171
182 172
183 172
198 173
159 174
197 174
200 174
158 175
159 175
196 175
197 175
198 175
199 175
200 175
211 175
212 175
144 176
145 176
157 176
158 176
159 176
161 176
195 176
196 176
198 176
199 176
200 176
211 176
212 176
144 177
145 177
156 177
157 177
177 177
178 177
196 177
198 177
199 177
157 178
158 178
170 178
171 178
179 178
197 178
198 178
158 179
169 179
171 179
176 179
177 179
180 179
171 180
177 180
180 180
197 180
198 180
158 181
178 181
180 181
196 181
198 181
199 181
157 182
158 182
178 182
179 182
195 182
196 182
198 182
199 182
200 182
211 182
212 182
144 183
145 183
156 183
157 183
196 183
197 183
198 183
199 183
200 183
211 183
212 183
144 184
145 184
157 184
158 184
159 184
161 184
178 184
179 184
197 184
200 184
158 185
159 185
178 185
180 185
198 185
159 186
177 186
180 186
176 187
177 187
180 187
179 188
189 188
190 188
177 189
178 189
189 189
191 189
191 190
191 191
192 191
