#C "stamp" (cells 8920 length 338 width 510 generation 0)
#C Oscillator collection
#C A collection of 115 oscillators.  The names and discoverers of
#C those in the first 4 columns are shown below.
#C
#C For some periods, the only known oscillators are obtained by
#C combining sparks from lower period oscillators; some of these
#C are shown in the last column.  (The p690 is also of this form,
#C but the interaction is less trivial.)
#C
#C Other periods may be obtained by bouncing gliders between
#C pentadecathlons, queen bee shuttles, twin bee shuttles, and
#C centinals, or between the output streams of guns of periods
#C 30, 44, 46, and 94.  In this way we obtain as periods all
#C multiples of 30, 44, 46, 94, and 100, as well as all numbers
#C of the form  75+60n  (n>=0).  In addition, all numbers of the
#C forms  50+40n,  66+24n,  230+40n,  and  246+24n  (n>=0)  may
#C be obtained using a 2-glider reflection due to Bob Wainwright.  
#C
#C We can obtain as periods all multiples of 8 which are >= 136 and
#C all multiples of 5 which are >= 150 by a construction due to
#C David Buckingham, in which B-heptominos travel around a track
#C formed by p5 or p8 oscillators.
#C
#C I don't know who first discovered all of these oscillators, but
#C what I do know (or believe) is listed below.  For brevity, the
#C discoverers's names are abbreviated:
#C
#C      A  = Hickerson's Apple IIe search program
#C      AT = Arthur Taber
#C      B  = David Buckingham
#C      C  = John Conway
#C      DW = Don Woods
#C      G  = Bill Gosper
#C      GC = George Collins, Jr.
#C      H  = Dean Hickerson
#C      JK = Jan Kok
#C      MN = Mark Niemiec
#C      RS = Rich Schroeppel
#C      SG = Sol Goodman
#C      W  = Bob Wainwright
#C 
#C Per Disc  Name
#C --- ----  ---------------------
#C   3 A     caterer
#C   3 A     jam
#C   3 ?     2 eaters
#C   3 W     eaters +
#C   3 W     trice tongs
#C   3 RS    MIT oscillator
#C   3 A     ?
#C   3 A     ?
#C   3 W     ?
#C   3 C     pulsar CP 48-56-72
#C   4 A     mold
#C   4 ?     mazing
#C   4 A     monogram
#C   4 A     ?
#C   4 A     ?
#C   4 A     ?
#C   4 B     eater/block frob
#C   4 B     confused eaters
#C   4 W     HW emulator
#C   4 A     ?
#C   4 B     ?
#C   4 C     pinwheel
#C   4 ?     clock II
#C   4 A     ?
#C   4 W     T-nosed p4
#C   5 A     fumarole
#C   5 SG,AT octagon II
#C   5 G     pentoad
#C   5 W     ?
#C   5 W     pentant
#C   5 B     technician
#C   5 B     mathematician
#C   5 B     aVerage
#C   5 A     toaster
#C   5 A     MW volcano
#C   6 ?     unix
#C   6 B     extremely impressive
#C   6 A     ?
#C   6 A     ?
#C   6 ?     ?
#C   6 W     ?
#C   6 A     ?
#C   6 B     $rats
#C   7 B     burloaferimeter
#C   7 B     airforce
#C   7 B     ?
#C   7 B     ?
#C   7 B     ?
#C   7 B     ?
#C   7 B     ?
#C   8 W     blocker
#C   8 C     figure 8
#C   8 JK    Kok's galaxy
#C   8 W,DW  cauldron/crucible
#C   8 C     Hertz oscillator
#C   8 W     ?
#C   8 W     roteightor
#C   8 B     ?
#C   9 B     worker bee
#C   9 MN    snacker
#C   9 B     ?
#C   9 B     ?
#C   9 B     ?
#C  10 B     ?
#C  10 B     ?
#C  10 B     ?
#C  10 B     ?
#C  11 B     ?
#C  11 B     ?
#C  12 W     dinner table
#C  12 ?     baker's dozen
#C  12 B,W   ?
#C  13 B     ?
#C  14 GC    tumbler
#C  15 C     pentadecathlon
#C  15 W     ?
#C  16 W     sailboat
#C  18 B     ?
#C  26 B     ?
#C  28 W     ?
#C  28 W     ?
#C  29 W     ?
#C  29 W     ?
#C  29 B     ?
#C  30 ?     queen bee shuttle
#C  30 B,W   Eureka
#C  30 W     ?
#C  32 B,W   gourmet
#C  32 W     popover
#C  32 W     pi portraitor
#C  32 W     ?
#C  36 G     p36 toadsucker
#C  40 B     ?
#C  44 B     ?
#C  46 G     twin bees shuttle
#C  47 B     ?
#C  52 B     ?
#C  54 B     p54 shuttle
#C  55 B     ?
#C  56 B     ?
#C  60 W     twirling T-tetsons II
#C  60 G     p36 toadsucker
#C  72 W     ?
#C 100 G     centinal
#C 108 B     p108 toadsucker
#C 128 B     ?
#C 690 H     ?
#C
#C Compiled by Dean Hickerson (drhickerson@ucdavis.edu) 5/18/92
#C
#C "main" (cells 8920 width 510 height 338 generation 0)
#R
-249 -169
-248 -169
-246 -169
-234 -169
-233 -169
-221 -169
-220 -169
-205 -169
-204 -169
-194 -169
-193 -169
-186 -169
-173 -169
-172 -169
-88 -169
-87 -169
-85 -169
-84 -169
-28 -169
-27 -169
-25 -169
-18 -169
-17 -169
-15 -169
9 -169
37 -169
52 -169
111 -169
137 -169
192 -169
193 -169
195 -169
202 -169
203 -169
205 -169
217 -169
218 -169
228 -169
229 -169
-249 -168
-247 -168
-246 -168
-232 -168
-219 -168
-205 -168
-194 -168
-186 -168
-185 -168
-184 -168
-177 -168
-176 -168
-174 -168
-172 -168
-89 -168
-87 -168
-85 -168
-28 -168
-26 -168
-25 -168
-18 -168
-16 -168
-15 -168
8 -168
10 -168
36 -168
38 -168
46 -168
47 -168
51 -168
53 -168
110 -168
112 -168
136 -168
138 -168
192 -168
194 -168
195 -168
202 -168
204 -168
205 -168
216 -168
219 -168
227 -168
230 -168
-245 -167
-244 -167
-235 -167
-222 -167
-207 -167
-205 -167
-197 -167
-196 -167
-194 -167
-188 -167
-187 -167
-183 -167
-177 -167
-176 -167
-174 -167
-89 -167
-85 -167
-24 -167
-23 -167
-20 -167
-19 -167
-14 -167
-13 -167
7 -167
11 -167
12 -167
37 -167
45 -167
46 -167
47 -167
52 -167
111 -167
137 -167
196 -167
197 -167
200 -167
201 -167
206 -167
207 -167
216 -167
217 -167
218 -167
221 -167
222 -167
223 -167
224 -167
225 -167
228 -167
229 -167
230 -167
-245 -166
-235 -166
-231 -166
-222 -166
-218 -166
-207 -166
-206 -166
-198 -166
-195 -166
-187 -166
-185 -166
-183 -166
-174 -166
-91 -166
-90 -166
-88 -166
-87 -166
-86 -166
-24 -166
-20 -166
-14 -166
-4 -166
-3 -166
7 -166
11 -166
12 -166
16 -166
17 -166
46 -166
47 -166
116 -166
132 -166
196 -166
200 -166
206 -166
219 -166
220 -166
226 -166
227 -166
-244 -165
-235 -165
-231 -165
-230 -165
-229 -165
-228 -165
-222 -165
-219 -165
-217 -165
-210 -165
-209 -165
-198 -165
-187 -165
-174 -165
-171 -165
-92 -165
-90 -165
-88 -165
-23 -165
-19 -165
-13 -165
-4 -165
-3 -165
7 -165
11 -165
12 -165
16 -165
17 -165
109 -165
110 -165
111 -165
112 -165
113 -165
116 -165
117 -165
118 -165
130 -165
131 -165
132 -165
135 -165
136 -165
137 -165
138 -165
139 -165
197 -165
201 -165
207 -165
218 -165
228 -165
-245 -164
-244 -164
-233 -164
-220 -164
-217 -164
-211 -164
-209 -164
-196 -164
-186 -164
-185 -164
-182 -164
-173 -164
-172 -164
-170 -164
-92 -164
-90 -164
-88 -164
-24 -164
-23 -164
-20 -164
-19 -164
-14 -164
-13 -164
8 -164
10 -164
108 -164
113 -164
119 -164
129 -164
135 -164
140 -164
196 -164
197 -164
200 -164
201 -164
206 -164
207 -164
218 -164
219 -164
221 -164
225 -164
227 -164
228 -164
-249 -163
-248 -163
-246 -163
-219 -163
-218 -163
-211 -163
-199 -163
-196 -163
-183 -163
-182 -163
-170 -163
-132 -163
-131 -163
-128 -163
-127 -163
-94 -163
-93 -163
-90 -163
-28 -163
-27 -163
-25 -163
-20 -163
-14 -163
9 -163
79 -163
81 -163
82 -163
89 -163
91 -163
92 -163
107 -163
110 -163
118 -163
119 -163
129 -163
130 -163
138 -163
141 -163
192 -163
193 -163
195 -163
200 -163
206 -163
223 -163
-249 -162
-247 -162
-246 -162
-212 -162
-211 -162
-200 -162
-198 -162
-197 -162
-170 -162
-169 -162
-131 -162
-127 -162
-116 -162
-115 -162
-113 -162
-112 -162
-95 -162
-90 -162
-89 -162
-28 -162
-26 -162
-25 -162
-19 -162
-13 -162
46 -162
47 -162
79 -162
80 -162
82 -162
89 -162
90 -162
92 -162
104 -162
107 -162
109 -162
110 -162
138 -162
139 -162
141 -162
144 -162
192 -162
194 -162
195 -162
201 -162
207 -162
-245 -161
-244 -161
-200 -161
-132 -161
-128 -161
-115 -161
-113 -161
-111 -161
-95 -161
-94 -161
-93 -161
-92 -161
-91 -161
-80 -161
-79 -161
-24 -161
-23 -161
-20 -161
-19 -161
-14 -161
-13 -161
37 -161
45 -161
46 -161
47 -161
52 -161
77 -161
78 -161
87 -161
88 -161
103 -161
105 -161
107 -161
113 -161
135 -161
141 -161
143 -161
145 -161
190 -161
191 -161
200 -161
201 -161
206 -161
207 -161
224 -161
225 -161
-245 -160
-201 -160
-200 -160
-132 -160
-131 -160
-128 -160
-127 -160
-115 -160
-110 -160
-97 -160
-96 -160
-91 -160
-80 -160
-24 -160
-20 -160
-14 -160
36 -160
38 -160
46 -160
47 -160
51 -160
53 -160
78 -160
88 -160
104 -160
107 -160
112 -160
114 -160
134 -160
136 -160
141 -160
144 -160
190 -160
200 -160
206 -160
222 -160
227 -160
-244 -159
-118 -159
-117 -159
-115 -159
-109 -159
-98 -159
-95 -159
-94 -159
-93 -159
-88 -159
-87 -159
-86 -159
-82 -159
-80 -159
-23 -159
-19 -159
-13 -159
37 -159
52 -159
77 -159
87 -159
107 -159
108 -159
111 -159
114 -159
121 -159
127 -159
134 -159
137 -159
140 -159
141 -159
191 -159
201 -159
207 -159
222 -159
227 -159
-245 -158
-244 -158
-132 -158
-131 -158
-128 -158
-127 -158
-118 -158
-117 -158
-115 -158
-108 -158
-98 -158
-97 -158
-95 -158
-89 -158
-85 -158
-82 -158
-81 -158
-24 -158
-23 -158
-20 -158
-19 -158
-14 -158
-13 -158
77 -158
78 -158
87 -158
88 -158
112 -158
113 -158
120 -158
121 -158
122 -158
126 -158
127 -158
128 -158
135 -158
136 -158
190 -158
191 -158
200 -158
201 -158
206 -158
207 -158
222 -158
227 -158
-249 -157
-248 -157
-246 -157
-184 -157
-183 -157
-182 -157
-178 -157
-177 -157
-176 -157
-131 -157
-127 -157
-115 -157
-113 -157
-107 -157
-95 -157
-90 -157
-84 -157
-76 -157
-28 -157
-27 -157
-25 -157
-18 -157
-17 -157
-15 -157
79 -157
81 -157
82 -157
89 -157
91 -157
92 -157
192 -157
193 -157
195 -157
202 -157
203 -157
205 -157
223 -157
226 -157
-249 -156
-247 -156
-246 -156
-230 -156
-197 -156
-196 -156
-195 -156
-194 -156
-132 -156
-128 -156
-115 -156
-113 -156
-112 -156
-108 -156
-107 -156
-98 -156
-97 -156
-96 -156
-90 -156
-84 -156
-78 -156
-77 -156
-76 -156
-28 -156
-26 -156
-25 -156
-18 -156
-16 -156
-15 -156
79 -156
80 -156
82 -156
89 -156
90 -156
92 -156
192 -156
194 -156
195 -156
202 -156
204 -156
205 -156
221 -156
223 -156
226 -156
228 -156
-234 -155
-232 -155
-231 -155
-229 -155
-227 -155
-226 -155
-197 -155
-194 -155
-186 -155
-181 -155
-179 -155
-174 -155
-132 -155
-131 -155
-128 -155
-127 -155
-114 -155
-98 -155
-90 -155
-84 -155
-79 -155
83 -155
84 -155
93 -155
94 -155
221 -155
222 -155
227 -155
228 -155
-235 -154
-233 -154
-229 -154
-227 -154
-226 -154
-215 -154
-199 -154
-198 -154
-197 -154
-194 -154
-193 -154
-192 -154
-186 -154
-181 -154
-179 -154
-174 -154
-113 -154
-112 -154
-111 -154
-110 -154
-109 -154
-108 -154
-107 -154
-93 -154
-92 -154
-89 -154
-85 -154
-79 -154
-77 -154
-76 -154
84 -154
94 -154
112 -154
113 -154
135 -154
136 -154
-234 -153
-229 -153
-215 -153
-214 -153
-213 -153
-209 -153
-207 -153
-206 -153
-205 -153
-199 -153
-192 -153
-186 -153
-181 -153
-179 -153
-174 -153
-132 -153
-131 -153
-128 -153
-127 -153
-107 -153
-94 -153
-92 -153
-88 -153
-87 -153
-86 -153
-81 -153
-80 -153
-79 -153
-76 -153
83 -153
93 -153
107 -153
108 -153
111 -153
114 -153
134 -153
137 -153
140 -153
141 -153
-230 -152
-229 -152
-216 -152
-214 -152
-210 -152
-208 -152
-199 -152
-192 -152
-184 -152
-183 -152
-182 -152
-178 -152
-177 -152
-176 -152
-131 -152
-127 -152
-111 -152
-110 -152
-94 -152
-83 -152
-78 -152
-77 -152
83 -152
84 -152
93 -152
94 -152
104 -152
107 -152
112 -152
114 -152
134 -152
136 -152
141 -152
144 -152
-219 -151
-218 -151
-217 -151
-215 -151
-211 -151
-210 -151
-209 -151
-199 -151
-198 -151
-197 -151
-194 -151
-193 -151
-192 -151
-132 -151
-128 -151
-111 -151
-110 -151
-95 -151
-94 -151
-83 -151
-82 -151
-81 -151
-80 -151
-79 -151
79 -151
81 -151
82 -151
89 -151
91 -151
92 -151
103 -151
105 -151
107 -151
113 -151
135 -151
141 -151
143 -151
145 -151
-209 -150
-197 -150
-194 -150
-184 -150
-183 -150
-182 -150
-178 -150
-177 -150
-176 -150
-132 -150
-131 -150
-128 -150
-127 -150
-85 -150
-84 -150
-79 -150
79 -150
80 -150
82 -150
89 -150
90 -150
92 -150
104 -150
107 -150
109 -150
110 -150
138 -150
139 -150
141 -150
144 -150
-197 -149
-196 -149
-195 -149
-194 -149
-186 -149
-181 -149
-179 -149
-174 -149
-84 -149
-81 -149
-80 -149
-4 -149
-1 -149
1 -149
2 -149
4 -149
7 -149
19 -149
22 -149
24 -149
25 -149
27 -149
30 -149
107 -149
110 -149
138 -149
141 -149
-186 -148
-181 -148
-179 -148
-174 -148
-86 -148
-84 -148
-82 -148
-4 -148
-3 -148
-2 -148
-1 -148
1 -148
2 -148
4 -148
5 -148
6 -148
7 -148
19 -148
20 -148
21 -148
22 -148
24 -148
25 -148
27 -148
28 -148
29 -148
30 -148
108 -148
113 -148
117 -148
118 -148
130 -148
131 -148
135 -148
140 -148
-186 -147
-181 -147
-179 -147
-174 -147
-86 -147
-84 -147
-82 -147
-4 -147
-1 -147
1 -147
2 -147
4 -147
7 -147
11 -147
12 -147
14 -147
15 -147
19 -147
22 -147
24 -147
25 -147
27 -147
30 -147
109 -147
110 -147
111 -147
112 -147
113 -147
118 -147
130 -147
135 -147
136 -147
137 -147
138 -147
139 -147
-88 -146
-87 -146
-86 -146
-84 -146
-83 -146
11 -146
12 -146
14 -146
15 -146
116 -146
118 -146
120 -146
128 -146
130 -146
132 -146
-184 -145
-183 -145
-182 -145
-178 -145
-177 -145
-176 -145
-89 -145
-85 -145
111 -145
115 -145
117 -145
119 -145
120 -145
128 -145
129 -145
131 -145
133 -145
137 -145
-89 -144
-87 -144
-85 -144
110 -144
112 -144
115 -144
117 -144
131 -144
133 -144
136 -144
138 -144
220 -144
229 -144
-90 -143
-89 -143
-87 -143
-86 -143
111 -143
116 -143
117 -143
131 -143
132 -143
137 -143
198 -143
199 -143
201 -143
206 -143
207 -143
219 -143
221 -143
228 -143
229 -143
198 -142
200 -142
201 -142
207 -142
219 -142
221 -142
202 -141
203 -141
206 -141
216 -141
217 -141
219 -141
221 -141
222 -141
226 -141
227 -141
228 -141
231 -141
233 -141
202 -140
206 -140
207 -140
216 -140
218 -140
219 -140
224 -140
228 -140
230 -140
231 -140
232 -140
233 -140
203 -139
220 -139
221 -139
222 -139
224 -139
232 -139
233 -139
202 -138
203 -138
206 -138
207 -138
220 -138
198 -137
199 -137
201 -137
207 -137
221 -137
222 -137
223 -137
226 -137
227 -137
198 -136
200 -136
201 -136
206 -136
224 -136
46 -135
196 -135
197 -135
206 -135
207 -135
221 -135
222 -135
224 -135
226 -135
228 -135
46 -134
196 -134
221 -134
222 -134
224 -134
226 -134
228 -134
229 -134
230 -134
-250 -133
-249 -133
-245 -133
-244 -133
-198 -133
-196 -133
-186 -133
-184 -133
46 -133
47 -133
48 -133
197 -133
206 -133
207 -133
225 -133
226 -133
231 -133
-250 -132
-249 -132
-245 -132
-244 -132
-222 -132
-198 -132
-196 -132
-194 -132
-193 -132
-186 -132
-183 -132
-167 -132
-165 -132
-162 -132
-160 -132
-159 -132
-158 -132
-138 -132
-137 -132
-132 -132
-131 -132
-129 -132
-69 -132
-68 -132
-49 -132
-48 -132
38 -132
39 -132
47 -132
48 -132
135 -132
136 -132
138 -132
139 -132
141 -132
196 -132
197 -132
207 -132
227 -132
228 -132
229 -132
230 -132
-233 -131
-231 -131
-223 -131
-221 -131
-200 -131
-199 -131
-194 -131
-183 -131
-168 -131
-165 -131
-163 -131
-161 -131
-159 -131
-137 -131
-132 -131
-130 -131
-129 -131
-117 -131
-99 -131
-98 -131
-88 -131
-87 -131
-70 -131
-68 -131
-49 -131
-47 -131
38 -131
39 -131
42 -131
43 -131
44 -131
47 -131
48 -131
134 -131
135 -131
138 -131
139 -131
141 -131
142 -131
198 -131
199 -131
201 -131
206 -131
227 -131
-250 -130
-249 -130
-245 -130
-244 -130
-230 -130
-212 -130
-211 -130
-207 -130
-206 -130
-196 -130
-195 -130
-194 -130
-184 -130
-183 -130
-182 -130
-179 -130
-178 -130
-177 -130
-168 -130
-138 -130
-128 -130
-127 -130
-117 -130
-116 -130
-115 -130
-107 -130
-106 -130
-99 -130
-98 -130
-97 -130
-96 -130
-94 -130
-88 -130
-87 -130
-70 -130
-68 -130
-66 -130
-65 -130
-52 -130
-51 -130
-49 -130
-47 -130
6 -130
7 -130
44 -130
45 -130
46 -130
142 -130
198 -130
200 -130
201 -130
206 -130
207 -130
228 -130
-250 -129
-248 -129
-246 -129
-244 -129
-234 -129
-231 -129
-224 -129
-223 -129
-219 -129
-211 -129
-209 -129
-207 -129
-200 -129
-199 -129
-197 -129
-194 -129
-187 -129
-186 -129
-185 -129
-182 -129
-181 -129
-180 -129
-161 -129
-138 -129
-137 -129
-128 -129
-114 -129
-107 -129
-99 -129
-97 -129
-94 -129
-93 -129
-92 -129
-69 -129
-67 -129
-65 -129
-52 -129
-50 -129
-48 -129
6 -129
44 -129
45 -129
46 -129
79 -129
81 -129
82 -129
89 -129
90 -129
92 -129
117 -129
118 -129
134 -129
135 -129
227 -129
228 -129
-248 -128
-246 -128
-235 -128
-233 -128
-231 -128
-224 -128
-218 -128
-211 -128
-210 -128
-208 -128
-207 -128
-197 -128
-194 -128
-181 -128
-170 -128
-168 -128
-166 -128
-164 -128
-161 -128
-127 -128
-115 -128
-114 -128
-109 -128
-107 -128
-67 -128
-50 -128
-2 -128
0 -128
1 -128
3 -128
4 -128
6 -128
12 -128
13 -128
39 -128
40 -128
79 -128
80 -128
82 -128
89 -128
91 -128
92 -128
117 -128
118 -128
134 -128
135 -128
141 -128
142 -128
-249 -127
-248 -127
-246 -127
-235 -127
-232 -127
-221 -127
-219 -127
-211 -127
-209 -127
-207 -127
-199 -127
-198 -127
-197 -127
-196 -127
-195 -127
-181 -127
-178 -127
-171 -127
-170 -127
-169 -127
-167 -127
-164 -127
-162 -127
-138 -127
-137 -127
-128 -127
-127 -127
-109 -127
-108 -127
-95 -127
-94 -127
-89 -127
-88 -127
-68 -127
-65 -127
-51 -127
-48 -127
-2 -127
-1 -127
1 -127
3 -127
5 -127
12 -127
27 -127
28 -127
29 -127
38 -127
41 -127
77 -127
78 -127
87 -127
88 -127
141 -127
142 -127
-245 -126
-244 -126
-234 -126
-233 -126
-222 -126
-221 -126
-212 -126
-211 -126
-207 -126
-206 -126
-199 -126
-180 -126
-178 -126
-137 -126
-132 -126
-131 -126
-129 -126
-112 -126
-111 -126
-95 -126
-90 -126
-87 -126
-81 -126
-68 -126
-62 -126
-61 -126
-57 -126
-51 -126
4 -126
13 -126
27 -126
28 -126
29 -126
38 -126
40 -126
78 -126
87 -126
134 -126
-244 -125
-138 -125
-132 -125
-130 -125
-129 -125
-112 -125
-111 -125
-89 -125
-87 -125
-82 -125
-81 -125
-68 -125
-64 -125
-62 -125
-61 -125
-60 -125
-58 -125
-57 -125
-51 -125
-47 -125
-28 -125
-27 -125
-25 -125
-18 -125
-17 -125
-15 -125
12 -125
13 -125
25 -125
26 -125
27 -125
30 -125
31 -125
35 -125
39 -125
44 -125
45 -125
46 -125
77 -125
88 -125
134 -125
135 -125
137 -125
138 -125
141 -125
142 -125
-245 -124
-138 -124
-137 -124
-134 -124
-133 -124
-112 -124
-111 -124
-88 -124
-68 -124
-62 -124
-61 -124
-57 -124
-51 -124
-28 -124
-26 -124
-25 -124
-18 -124
-16 -124
-15 -124
30 -124
31 -124
35 -124
77 -124
78 -124
87 -124
88 -124
106 -124
109 -124
127 -124
128 -124
130 -124
135 -124
137 -124
138 -124
140 -124
141 -124
-245 -123
-244 -123
-134 -123
-116 -123
-115 -123
-84 -123
-83 -123
-82 -123
-79 -123
-77 -123
-68 -123
-65 -123
-51 -123
-48 -123
-24 -123
-23 -123
-14 -123
-13 -123
12 -123
13 -123
29 -123
30 -123
31 -123
35 -123
79 -123
81 -123
82 -123
89 -123
90 -123
92 -123
110 -123
127 -123
131 -123
-244 -122
-138 -122
-137 -122
-133 -122
-117 -122
-115 -122
-110 -122
-109 -122
-89 -122
-88 -122
-82 -122
-80 -122
-79 -122
-78 -122
-77 -122
-67 -122
-50 -122
-24 -122
-14 -122
-4 -122
6 -122
7 -122
8 -122
11 -122
13 -122
29 -122
47 -122
48 -122
52 -122
53 -122
79 -122
80 -122
82 -122
89 -122
91 -122
92 -122
111 -122
112 -122
128 -122
129 -122
130 -122
-245 -121
-137 -121
-134 -121
-133 -121
-117 -121
-110 -121
-89 -121
-88 -121
-78 -121
-77 -121
-69 -121
-67 -121
-65 -121
-52 -121
-50 -121
-48 -121
-23 -121
-13 -121
-4 -121
-3 -121
-2 -121
6 -121
8 -121
12 -121
29 -121
41 -121
42 -121
43 -121
46 -121
49 -121
52 -121
53 -121
83 -121
84 -121
87 -121
88 -121
93 -121
94 -121
105 -121
107 -121
108 -121
115 -121
-245 -120
-244 -120
-234 -120
-233 -120
-220 -120
-196 -120
-195 -120
-138 -120
-132 -120
-131 -120
-129 -120
-118 -120
-117 -120
-109 -120
-108 -120
-107 -120
-70 -120
-68 -120
-66 -120
-65 -120
-52 -120
-51 -120
-49 -120
-47 -120
-24 -120
-23 -120
-14 -120
-13 -120
-1 -120
6 -120
8 -120
13 -120
14 -120
15 -120
33 -120
41 -120
43 -120
47 -120
49 -120
84 -120
87 -120
93 -120
105 -120
108 -120
112 -120
-233 -119
-220 -119
-219 -119
-218 -119
-201 -119
-200 -119
-198 -119
-193 -119
-191 -119
-190 -119
-182 -119
-181 -119
-172 -119
-171 -119
-161 -119
-160 -119
-138 -119
-137 -119
-132 -119
-130 -119
-129 -119
-107 -119
-70 -119
-68 -119
-49 -119
-47 -119
-28 -119
-27 -119
-25 -119
-18 -119
-17 -119
-15 -119
-2 -119
0 -119
15 -119
32 -119
34 -119
41 -119
43 -119
48 -119
83 -119
88 -119
94 -119
104 -119
108 -119
110 -119
111 -119
112 -119
-233 -118
-231 -118
-217 -118
-201 -118
-190 -118
-182 -118
-181 -118
-179 -118
-178 -118
-175 -118
-174 -118
-172 -118
-171 -118
-161 -118
-159 -118
-69 -118
-68 -118
-49 -118
-48 -118
-28 -118
-26 -118
-25 -118
-18 -118
-16 -118
-15 -118
-2 -118
-1 -118
28 -118
29 -118
32 -118
35 -118
52 -118
83 -118
84 -118
87 -118
88 -118
93 -118
94 -118
103 -118
115 -118
129 -118
130 -118
193 -118
194 -118
196 -118
201 -118
202 -118
206 -118
207 -118
-232 -117
-230 -117
-218 -117
-200 -117
-199 -117
-192 -117
-191 -117
-181 -117
-178 -117
-175 -117
-172 -117
-159 -117
-156 -117
-24 -117
-23 -117
-20 -117
-19 -117
28 -117
29 -117
33 -117
34 -117
52 -117
79 -117
81 -117
82 -117
89 -117
90 -117
92 -117
106 -117
107 -117
108 -117
110 -117
114 -117
129 -117
130 -117
193 -117
195 -117
196 -117
201 -117
202 -117
206 -117
207 -117
217 -117
220 -117
-230 -116
-229 -116
-227 -116
-226 -116
-218 -116
-215 -116
-203 -116
-202 -116
-201 -116
-198 -116
-197 -116
-196 -116
-195 -116
-194 -116
-193 -116
-190 -116
-189 -116
-188 -116
-181 -116
-180 -116
-178 -116
-177 -116
-176 -116
-175 -116
-173 -116
-172 -116
-160 -116
-159 -116
-157 -116
-155 -116
-24 -116
-20 -116
-2 -116
-1 -116
46 -116
50 -116
51 -116
52 -116
79 -116
80 -116
82 -116
89 -116
91 -116
92 -116
106 -116
110 -116
113 -116
197 -116
198 -116
220 -116
-227 -115
-226 -115
-215 -115
-203 -115
-200 -115
-191 -115
-188 -115
-161 -115
-159 -115
-156 -115
-23 -115
-19 -115
-2 -115
7 -115
46 -115
50 -115
51 -115
103 -115
110 -115
111 -115
113 -115
197 -115
201 -115
202 -115
206 -115
207 -115
216 -115
221 -115
232 -115
233 -115
-233 -114
-232 -114
-217 -114
-215 -114
-202 -114
-201 -114
-190 -114
-189 -114
-166 -114
-165 -114
-161 -114
-159 -114
-24 -114
-23 -114
-20 -114
-19 -114
-1 -114
6 -114
8 -114
10 -114
12 -114
13 -114
35 -114
36 -114
37 -114
46 -114
50 -114
51 -114
54 -114
55 -114
56 -114
106 -114
107 -114
198 -114
201 -114
203 -114
205 -114
207 -114
216 -114
217 -114
220 -114
222 -114
-232 -113
-217 -113
-216 -113
-213 -113
-212 -113
-166 -113
-160 -113
-28 -113
-27 -113
-25 -113
-18 -113
-17 -113
-15 -113
-2 -113
-1 -113
5 -113
7 -113
8 -113
10 -113
11 -113
13 -113
42 -113
43 -113
52 -113
53 -113
54 -113
108 -113
197 -113
198 -113
203 -113
205 -113
221 -113
223 -113
224 -113
231 -113
235 -113
-235 -112
-234 -112
-233 -112
-213 -112
-211 -112
-165 -112
-164 -112
-163 -112
-162 -112
-161 -112
-28 -112
-26 -112
-25 -112
-18 -112
-16 -112
-15 -112
5 -112
41 -112
44 -112
52 -112
53 -112
54 -112
109 -112
112 -112
193 -112
194 -112
196 -112
202 -112
203 -112
205 -112
230 -112
235 -112
-235 -111
-211 -111
4 -111
5 -111
41 -111
43 -111
193 -111
195 -111
196 -111
206 -111
207 -111
229 -111
231 -111
233 -111
-211 -110
-210 -110
-163 -110
35 -110
36 -110
37 -110
42 -110
191 -110
192 -110
207 -110
221 -110
224 -110
228 -110
230 -110
232 -110
-192 -109
-191 -109
-190 -109
-164 -109
-162 -109
35 -109
36 -109
37 -109
191 -109
206 -109
221 -109
222 -109
226 -109
231 -109
-195 -108
-194 -108
-192 -108
-191 -108
-163 -108
33 -108
34 -108
37 -108
38 -108
39 -108
42 -108
43 -108
192 -108
206 -108
207 -108
226 -108
230 -108
-195 -107
-194 -107
-192 -107
-191 -107
-136 -107
-135 -107
-132 -107
-131 -107
-129 -107
-114 -107
-98 -107
33 -107
34 -107
42 -107
43 -107
191 -107
192 -107
207 -107
-194 -106
-174 -106
-135 -106
-132 -106
-130 -106
-129 -106
-115 -106
-113 -106
-99 -106
-97 -106
33 -106
34 -106
35 -106
193 -106
194 -106
196 -106
206 -106
228 -106
229 -106
-174 -105
-136 -105
-128 -105
-127 -105
-115 -105
-113 -105
-99 -105
-97 -105
35 -105
193 -105
195 -105
196 -105
206 -105
207 -105
-229 -104
-228 -104
-212 -104
-211 -104
-202 -104
-201 -104
-175 -104
-174 -104
-173 -104
-136 -104
-135 -104
-128 -104
-117 -104
-116 -104
-115 -104
-113 -104
-112 -104
-100 -104
-99 -104
-97 -104
-96 -104
-95 -104
35 -104
-229 -103
-228 -103
-212 -103
-211 -103
-202 -103
-201 -103
-199 -103
-198 -103
-194 -103
-127 -103
-118 -103
-94 -103
-201 -102
-198 -102
-195 -102
-194 -102
-192 -102
-191 -102
-190 -102
-189 -102
-187 -102
-186 -102
-136 -102
-135 -102
-128 -102
-127 -102
-117 -102
-116 -102
-115 -102
-113 -102
-112 -102
-100 -102
-99 -102
-97 -102
-96 -102
-95 -102
7 -102
8 -102
-231 -101
-230 -101
-229 -101
-228 -101
-214 -101
-213 -101
-212 -101
-211 -101
-201 -101
-200 -101
-198 -101
-197 -101
-196 -101
-195 -101
-193 -101
-192 -101
-189 -101
-186 -101
-135 -101
-132 -101
-131 -101
-129 -101
-115 -101
-113 -101
-112 -101
-100 -101
-99 -101
-97 -101
2 -101
3 -101
5 -101
10 -101
12 -101
13 -101
110 -101
116 -101
-235 -100
-234 -100
-232 -100
-227 -100
-218 -100
-217 -100
-215 -100
-210 -100
-193 -100
-189 -100
-188 -100
-186 -100
-185 -100
-176 -100
-175 -100
-174 -100
-173 -100
-172 -100
-136 -100
-132 -100
-130 -100
-129 -100
-108 -100
-104 -100
2 -100
13 -100
110 -100
111 -100
115 -100
116 -100
142 -100
143 -100
-235 -99
-234 -99
-232 -99
-231 -99
-227 -99
-218 -99
-217 -99
-215 -99
-212 -99
-210 -99
-186 -99
-185 -99
-177 -99
-175 -99
-174 -99
-173 -99
-171 -99
-136 -99
-135 -99
-128 -99
-127 -99
-107 -99
-105 -99
3 -99
4 -99
11 -99
12 -99
110 -99
111 -99
115 -99
116 -99
140 -99
145 -99
-232 -98
-229 -98
-227 -98
-225 -98
-224 -98
-215 -98
-212 -98
-210 -98
-208 -98
-207 -98
-177 -98
-175 -98
-173 -98
-171 -98
-128 -98
-108 -98
-107 -98
-105 -98
-104 -98
0 -98
1 -98
2 -98
5 -98
6 -98
7 -98
8 -98
9 -98
10 -98
13 -98
14 -98
15 -98
51 -98
52 -98
111 -98
115 -98
139 -98
146 -98
-232 -97
-230 -97
-227 -97
-225 -97
-224 -97
-215 -97
-213 -97
-210 -97
-208 -97
-207 -97
-193 -97
-178 -97
-177 -97
-175 -97
-173 -97
-171 -97
-170 -97
-136 -97
-135 -97
-127 -97
-110 -97
-107 -97
-105 -97
-102 -97
0 -97
3 -97
12 -97
15 -97
51 -97
138 -97
147 -97
-231 -96
-230 -96
-229 -96
-228 -96
-214 -96
-213 -96
-212 -96
-211 -96
-196 -96
-195 -96
-193 -96
-192 -96
-179 -96
-176 -96
-175 -96
-173 -96
-172 -96
-169 -96
-135 -96
-128 -96
-127 -96
-111 -96
-109 -96
-107 -96
-105 -96
-103 -96
-101 -96
-3 -96
-2 -96
0 -96
2 -96
13 -96
15 -96
17 -96
18 -96
43 -96
45 -96
46 -96
48 -96
49 -96
51 -96
57 -96
58 -96
79 -96
80 -96
82 -96
89 -96
90 -96
92 -96
138 -96
147 -96
-196 -95
-195 -95
-193 -95
-192 -95
-179 -95
-178 -95
-170 -95
-169 -95
-136 -95
-132 -95
-131 -95
-129 -95
-111 -95
-110 -95
-107 -95
-105 -95
-102 -95
-101 -95
-3 -95
-1 -95
1 -95
14 -95
16 -95
18 -95
36 -95
37 -95
43 -95
44 -95
46 -95
48 -95
50 -95
57 -95
79 -95
81 -95
82 -95
89 -95
91 -95
92 -95
125 -95
138 -95
147 -95
-231 -94
-230 -94
-214 -94
-213 -94
-197 -94
-196 -94
-195 -94
-136 -94
-135 -94
-132 -94
-130 -94
-129 -94
-107 -94
-105 -94
-1 -94
16 -94
36 -94
49 -94
58 -94
77 -94
78 -94
87 -94
88 -94
93 -94
94 -94
123 -94
126 -94
139 -94
146 -94
232 -94
239 -94
240 -94
-231 -93
-230 -93
-214 -93
-213 -93
-106 -93
-3 -93
0 -93
15 -93
18 -93
28 -93
30 -93
31 -93
33 -93
34 -93
36 -93
57 -93
58 -93
77 -93
87 -93
93 -93
123 -93
126 -93
140 -93
145 -93
192 -93
193 -93
195 -93
202 -93
204 -93
205 -93
231 -93
233 -93
235 -93
236 -93
239 -93
0 -92
8 -92
9 -92
10 -92
15 -92
28 -92
29 -92
31 -92
33 -92
35 -92
78 -92
88 -92
94 -92
104 -92
113 -92
119 -92
124 -92
142 -92
143 -92
192 -92
194 -92
195 -92
202 -92
203 -92
205 -92
220 -92
231 -92
233 -92
235 -92
237 -92
239 -92
-4 -91
0 -91
8 -91
10 -91
15 -91
19 -91
34 -91
39 -91
40 -91
41 -91
57 -91
58 -91
77 -91
78 -91
87 -91
88 -91
93 -91
94 -91
103 -91
106 -91
112 -91
113 -91
119 -91
120 -91
196 -91
197 -91
200 -91
201 -91
219 -91
221 -91
230 -91
231 -91
233 -91
237 -91
239 -91
240 -91
-4 -90
0 -90
8 -90
10 -90
15 -90
19 -90
51 -90
52 -90
53 -90
56 -90
58 -90
79 -90
80 -90
82 -90
87 -90
93 -90
103 -90
106 -90
113 -90
119 -90
124 -90
144 -90
196 -90
201 -90
219 -90
221 -90
230 -90
233 -90
234 -90
236 -90
237 -90
240 -90
0 -89
15 -89
51 -89
53 -89
57 -89
79 -89
81 -89
82 -89
88 -89
94 -89
105 -89
123 -89
126 -89
142 -89
145 -89
197 -89
200 -89
216 -89
217 -89
219 -89
221 -89
222 -89
231 -89
239 -89
-3 -88
0 -88
15 -88
18 -88
42 -88
43 -88
51 -88
53 -88
58 -88
59 -88
60 -88
77 -88
78 -88
83 -88
84 -88
87 -88
88 -88
93 -88
94 -88
123 -88
126 -88
142 -88
145 -88
196 -88
197 -88
200 -88
201 -88
216 -88
218 -88
219 -88
231 -88
239 -88
-1 -87
16 -87
26 -87
36 -87
37 -87
38 -87
41 -87
44 -87
60 -87
77 -87
83 -87
87 -87
93 -87
105 -87
125 -87
143 -87
192 -87
193 -87
195 -87
202 -87
204 -87
205 -87
220 -87
221 -87
223 -87
230 -87
233 -87
234 -87
236 -87
237 -87
240 -87
-3 -86
-1 -86
1 -86
14 -86
16 -86
18 -86
26 -86
27 -86
28 -86
36 -86
38 -86
42 -86
44 -86
78 -86
84 -86
88 -86
94 -86
103 -86
106 -86
192 -86
194 -86
195 -86
202 -86
203 -86
205 -86
220 -86
227 -86
230 -86
231 -86
233 -86
237 -86
239 -86
240 -86
-3 -85
-2 -85
0 -85
2 -85
13 -85
15 -85
17 -85
18 -85
29 -85
36 -85
38 -85
43 -85
77 -85
78 -85
83 -85
84 -85
87 -85
88 -85
93 -85
94 -85
103 -85
106 -85
141 -85
142 -85
196 -85
197 -85
206 -85
207 -85
221 -85
222 -85
223 -85
231 -85
233 -85
235 -85
237 -85
239 -85
0 -84
3 -84
12 -84
15 -84
28 -84
30 -84
79 -84
80 -84
82 -84
89 -84
90 -84
92 -84
104 -84
139 -84
144 -84
196 -84
207 -84
224 -84
226 -84
231 -84
233 -84
235 -84
236 -84
239 -84
0 -83
1 -83
2 -83
5 -83
6 -83
7 -83
8 -83
9 -83
10 -83
13 -83
14 -83
15 -83
28 -83
29 -83
45 -83
46 -83
47 -83
52 -83
79 -83
81 -83
82 -83
89 -83
91 -83
92 -83
138 -83
145 -83
197 -83
206 -83
221 -83
222 -83
224 -83
228 -83
232 -83
239 -83
240 -83
-249 -82
-247 -82
-246 -82
-201 -82
-200 -82
-137 -82
-136 -82
-133 -82
-132 -82
-128 -82
-127 -82
3 -82
4 -82
11 -82
12 -82
51 -82
53 -82
55 -82
57 -82
58 -82
137 -82
146 -82
196 -82
197 -82
206 -82
207 -82
221 -82
222 -82
224 -82
226 -82
228 -82
229 -82
230 -82
231 -82
-249 -81
-248 -81
-246 -81
-201 -81
-190 -81
-189 -81
-180 -81
-179 -81
-136 -81
-133 -81
-132 -81
-128 -81
-127 -81
2 -81
13 -81
28 -81
29 -81
50 -81
52 -81
53 -81
55 -81
56 -81
58 -81
114 -81
118 -81
137 -81
146 -81
192 -81
193 -81
195 -81
202 -81
204 -81
205 -81
225 -81
226 -81
-251 -80
-250 -80
-220 -80
-219 -80
-203 -80
-201 -80
-191 -80
-189 -80
-179 -80
-137 -80
2 -80
3 -80
5 -80
10 -80
12 -80
13 -80
28 -80
37 -80
50 -80
113 -80
114 -80
118 -80
119 -80
137 -80
146 -80
192 -80
194 -80
195 -80
202 -80
203 -80
205 -80
227 -80
228 -80
229 -80
-250 -79
-232 -79
-231 -79
-221 -79
-218 -79
-203 -79
-202 -79
-194 -79
-191 -79
-189 -79
-188 -79
-179 -79
-177 -79
-137 -79
-136 -79
-133 -79
-132 -79
-128 -79
-127 -79
7 -79
8 -79
29 -79
36 -79
38 -79
40 -79
42 -79
43 -79
49 -79
50 -79
113 -79
114 -79
118 -79
119 -79
138 -79
145 -79
227 -79
230 -79
-251 -78
-234 -78
-229 -78
-222 -78
-217 -78
-207 -78
-206 -78
-195 -78
-193 -78
-191 -78
-187 -78
-178 -78
-177 -78
-172 -78
-171 -78
-133 -78
-131 -78
-129 -78
-127 -78
-117 -78
-116 -78
-114 -78
-113 -78
28 -78
29 -78
35 -78
37 -78
38 -78
40 -78
41 -78
43 -78
113 -78
119 -78
139 -78
144 -78
229 -78
230 -78
-251 -77
-250 -77
-234 -77
-229 -77
-223 -77
-216 -77
-206 -77
-194 -77
-191 -77
-187 -77
-186 -77
-185 -77
-171 -77
-137 -77
-136 -77
-131 -77
-129 -77
-117 -77
-116 -77
-114 -77
-113 -77
35 -77
141 -77
142 -77
-249 -76
-247 -76
-246 -76
-234 -76
-229 -76
-223 -76
-216 -76
-206 -76
-191 -76
-185 -76
-175 -76
-174 -76
-173 -76
-172 -76
-136 -76
-132 -76
-131 -76
-129 -76
-116 -76
-114 -76
34 -76
35 -76
-249 -75
-248 -75
-246 -75
-233 -75
-230 -75
-222 -75
-217 -75
-206 -75
-205 -75
-190 -75
-189 -75
-188 -75
-187 -75
-186 -75
-175 -75
-137 -75
-128 -75
-127 -75
-118 -75
-116 -75
-114 -75
-112 -75
-245 -74
-244 -74
-235 -74
-233 -74
-230 -74
-228 -74
-221 -74
-218 -74
-210 -74
-209 -74
-178 -74
-174 -74
-173 -74
-172 -74
-137 -74
-136 -74
-127 -74
-118 -74
-116 -74
-114 -74
-112 -74
-244 -73
-235 -73
-234 -73
-229 -73
-228 -73
-220 -73
-219 -73
-211 -73
-209 -73
-188 -73
-178 -73
-177 -73
-176 -73
-175 -73
-172 -73
-128 -73
-118 -73
-117 -73
-113 -73
-112 -73
-245 -72
-211 -72
-189 -72
-187 -72
-175 -72
-137 -72
-136 -72
-128 -72
-127 -72
-245 -71
-244 -71
-212 -71
-211 -71
-188 -71
-176 -71
-136 -71
-127 -71
-249 -70
-247 -70
-246 -70
-176 -70
-175 -70
-137 -70
-128 -70
-249 -69
-248 -69
-246 -69
-137 -69
-136 -69
-128 -69
-127 -69
79 -67
81 -67
82 -67
89 -67
90 -67
92 -67
121 -67
232 -67
235 -67
79 -66
80 -66
82 -66
89 -66
91 -66
92 -66
120 -66
122 -66
123 -66
232 -66
-216 -65
-202 -65
-188 -65
-185 -65
-3 -65
-2 -65
15 -65
16 -65
83 -65
84 -65
93 -65
94 -65
120 -65
122 -65
123 -65
191 -65
192 -65
196 -65
197 -65
202 -65
203 -65
205 -65
220 -65
231 -65
236 -65
-230 -64
-217 -64
-215 -64
-203 -64
-201 -64
-171 -64
-2 -64
6 -64
7 -64
15 -64
84 -64
93 -64
121 -64
122 -64
191 -64
192 -64
196 -64
197 -64
202 -64
204 -64
205 -64
219 -64
221 -64
230 -64
232 -64
235 -64
236 -64
-231 -63
-229 -63
-217 -63
-215 -63
-202 -63
-189 -63
-184 -63
-173 -63
-169 -63
-2 -63
0 -63
4 -63
9 -63
13 -63
15 -63
83 -63
94 -63
206 -63
207 -63
219 -63
221 -63
228 -63
229 -63
231 -63
-231 -62
-230 -62
-218 -62
-217 -62
-215 -62
-214 -62
-191 -62
-190 -62
-189 -62
-187 -62
-186 -62
-184 -62
-183 -62
-182 -62
-1 -62
0 -62
3 -62
10 -62
13 -62
14 -62
83 -62
84 -62
93 -62
94 -62
110 -62
111 -62
124 -62
125 -62
191 -62
192 -62
196 -62
197 -62
206 -62
216 -62
217 -62
219 -62
221 -62
222 -62
-233 -61
-232 -61
-220 -61
-212 -61
-204 -61
-203 -61
-202 -61
-201 -61
-200 -61
-192 -61
-188 -61
-185 -61
-181 -61
-174 -61
-168 -61
2 -61
11 -61
81 -61
82 -61
89 -61
90 -61
92 -61
110 -61
111 -61
124 -61
125 -61
191 -61
193 -61
195 -61
197 -61
207 -61
216 -61
218 -61
219 -61
224 -61
-234 -60
-230 -60
-229 -60
-228 -60
-220 -60
-219 -60
-218 -60
-214 -60
-213 -60
-212 -60
-205 -60
-202 -60
-199 -60
-191 -60
-190 -60
-189 -60
-188 -60
-185 -60
-184 -60
-183 -60
-182 -60
-176 -60
-175 -60
-174 -60
-172 -60
-171 -60
-170 -60
-168 -60
-167 -60
-166 -60
2 -60
11 -60
82 -60
89 -60
91 -60
92 -60
193 -60
195 -60
206 -60
207 -60
220 -60
221 -60
222 -60
224 -60
228 -60
231 -60
-235 -59
-232 -59
-231 -59
-227 -59
-225 -59
-206 -59
-204 -59
-203 -59
-201 -59
-200 -59
-198 -59
-177 -59
-173 -59
-172 -59
-170 -59
-169 -59
-165 -59
-99 -59
-94 -59
-28 -59
-27 -59
-25 -59
-18 -59
-17 -59
-15 -59
2 -59
11 -59
81 -59
87 -59
88 -59
192 -59
193 -59
195 -59
202 -59
203 -59
205 -59
220 -59
230 -59
231 -59
-234 -58
-233 -58
-228 -58
-226 -58
-225 -58
-220 -58
-219 -58
-218 -58
-217 -58
-216 -58
-215 -58
-214 -58
-213 -58
-212 -58
-206 -58
-204 -58
-200 -58
-198 -58
-191 -58
-190 -58
-188 -58
-185 -58
-183 -58
-182 -58
-177 -58
-175 -58
-174 -58
-173 -58
-171 -58
-169 -58
-168 -58
-167 -58
-166 -58
-138 -58
-137 -58
-132 -58
-130 -58
-129 -58
-101 -58
-100 -58
-98 -58
-97 -58
-96 -58
-95 -58
-93 -58
-92 -58
-28 -58
-26 -58
-25 -58
-18 -58
-16 -58
-15 -58
-1 -58
0 -58
3 -58
10 -58
13 -58
14 -58
81 -58
82 -58
87 -58
109 -58
111 -58
196 -58
197 -58
202 -58
204 -58
205 -58
221 -58
222 -58
223 -58
226 -58
227 -58
-232 -57
-230 -57
-228 -57
-220 -57
-212 -57
-207 -57
-206 -57
-204 -57
-200 -57
-198 -57
-197 -57
-191 -57
-182 -57
-176 -57
-137 -57
-132 -57
-131 -57
-129 -57
-99 -57
-94 -57
-24 -57
-23 -57
-20 -57
-19 -57
-2 -57
0 -57
4 -57
9 -57
13 -57
15 -57
79 -57
80 -57
88 -57
108 -57
127 -57
128 -57
197 -57
200 -57
201 -57
224 -57
-232 -56
-228 -56
-217 -56
-216 -56
-215 -56
-214 -56
-207 -56
-204 -56
-202 -56
-200 -56
-197 -56
-190 -56
-189 -56
-188 -56
-185 -56
-184 -56
-183 -56
-174 -56
-172 -56
-170 -56
-168 -56
-167 -56
-165 -56
-138 -56
-134 -56
-133 -56
-24 -56
-20 -56
-2 -56
6 -56
7 -56
15 -56
80 -56
87 -56
88 -56
103 -56
104 -56
107 -56
112 -56
123 -56
124 -56
126 -56
129 -56
131 -56
132 -56
196 -56
200 -56
221 -56
222 -56
224 -56
226 -56
228 -56
-231 -55
-230 -55
-229 -55
-217 -55
-214 -55
-213 -55
-205 -55
-199 -55
-188 -55
-185 -55
-175 -55
-174 -55
-172 -55
-171 -55
-170 -55
-168 -55
-166 -55
-165 -55
-138 -55
-137 -55
-133 -55
-23 -55
-19 -55
-3 -55
-2 -55
15 -55
16 -55
79 -55
89 -55
90 -55
92 -55
103 -55
104 -55
106 -55
109 -55
111 -55
112 -55
123 -55
124 -55
127 -55
132 -55
196 -55
197 -55
201 -55
221 -55
222 -55
224 -55
226 -55
228 -55
229 -55
230 -55
-229 -54
-227 -54
-204 -54
-203 -54
-202 -54
-201 -54
-200 -54
-192 -54
-191 -54
-190 -54
-189 -54
-187 -54
-186 -54
-184 -54
-183 -54
-182 -54
-181 -54
-174 -54
-172 -54
-169 -54
-134 -54
-24 -54
-23 -54
-20 -54
-19 -54
8 -54
79 -54
80 -54
89 -54
91 -54
92 -54
107 -54
108 -54
128 -54
197 -54
200 -54
201 -54
225 -54
226 -54
231 -54
-228 -53
-227 -53
-202 -53
-192 -53
-189 -53
-184 -53
-181 -53
-174 -53
-171 -53
-170 -53
-138 -53
-137 -53
-134 -53
-133 -53
-116 -53
-111 -53
-28 -53
-27 -53
-25 -53
-18 -53
-17 -53
-15 -53
6 -53
9 -53
129 -53
131 -53
196 -53
202 -53
203 -53
205 -53
227 -53
228 -53
229 -53
230 -53
-175 -52
-174 -52
-137 -52
-132 -52
-130 -52
-129 -52
-118 -52
-117 -52
-115 -52
-114 -52
-113 -52
-112 -52
-110 -52
-109 -52
-96 -52
-95 -52
-92 -52
-91 -52
-28 -52
-26 -52
-25 -52
-18 -52
-16 -52
-15 -52
6 -52
9 -52
196 -52
197 -52
202 -52
204 -52
205 -52
227 -52
-188 -51
-185 -51
-138 -51
-132 -51
-131 -51
-129 -51
-116 -51
-111 -51
-96 -51
-95 -51
-92 -51
-91 -51
-24 -51
-23 -51
-20 -51
-19 -51
-14 -51
-13 -51
7 -51
228 -51
-138 -50
-137 -50
-128 -50
-127 -50
-24 -50
-20 -50
-14 -50
-4 -50
-3 -50
14 -50
15 -50
227 -50
228 -50
-127 -49
-23 -49
-19 -49
-13 -49
-3 -49
5 -49
6 -49
14 -49
-138 -48
-137 -48
-128 -48
-24 -48
-23 -48
-20 -48
-19 -48
-14 -48
-13 -48
-3 -48
-1 -48
3 -48
8 -48
12 -48
14 -48
-137 -47
-128 -47
-127 -47
-28 -47
-27 -47
-25 -47
-18 -47
-17 -47
-15 -47
-2 -47
-1 -47
2 -47
9 -47
12 -47
13 -47
-138 -46
-132 -46
-130 -46
-129 -46
-101 -46
-100 -46
-96 -46
-93 -46
-89 -46
-88 -46
-28 -46
-26 -46
-25 -46
-18 -46
-16 -46
-15 -46
1 -46
10 -46
-138 -45
-137 -45
-132 -45
-131 -45
-129 -45
-101 -45
-100 -45
-99 -45
-98 -45
-97 -45
-92 -45
-91 -45
-90 -45
-89 -45
-88 -45
1 -45
10 -45
-101 -44
-100 -44
-96 -44
-93 -44
-89 -44
-88 -44
1 -44
10 -44
-2 -43
-1 -43
2 -43
9 -43
12 -43
13 -43
103 -43
104 -43
153 -43
154 -43
-3 -42
-1 -42
3 -42
8 -42
12 -42
14 -42
73 -42
74 -42
79 -42
80 -42
82 -42
89 -42
90 -42
92 -42
104 -42
153 -42
-3 -41
5 -41
6 -41
14 -41
74 -41
79 -41
81 -41
82 -41
89 -41
91 -41
92 -41
104 -41
106 -41
128 -41
129 -41
151 -41
153 -41
-249 -40
-248 -40
-246 -40
-234 -40
-233 -40
-218 -40
-217 -40
-4 -40
-3 -40
14 -40
15 -40
73 -40
77 -40
78 -40
83 -40
84 -40
87 -40
88 -40
93 -40
94 -40
105 -40
106 -40
115 -40
128 -40
129 -40
142 -40
143 -40
151 -40
152 -40
-249 -39
-247 -39
-246 -39
-234 -39
-233 -39
-219 -39
-217 -39
-216 -39
-215 -39
73 -39
74 -39
77 -39
83 -39
87 -39
93 -39
114 -39
115 -39
142 -39
144 -39
224 -39
225 -39
-251 -38
-250 -38
-219 -38
-214 -38
-195 -38
-173 -38
-168 -38
78 -38
84 -38
88 -38
94 -38
113 -38
114 -38
144 -38
222 -38
227 -38
-251 -37
-234 -37
-222 -37
-221 -37
-219 -37
-215 -37
-214 -37
-195 -37
-175 -37
-172 -37
-168 -37
-167 -37
73 -37
74 -37
77 -37
78 -37
83 -37
84 -37
87 -37
88 -37
93 -37
94 -37
114 -37
115 -37
118 -37
119 -37
142 -37
143 -37
144 -37
221 -37
228 -37
-250 -36
-235 -36
-233 -36
-222 -36
-221 -36
-219 -36
-213 -36
-212 -36
-204 -36
-203 -36
-201 -36
-200 -36
-195 -36
-192 -36
-189 -36
-178 -36
-176 -36
-172 -36
-170 -36
-168 -36
-167 -36
-166 -36
-161 -36
74 -36
77 -36
83 -36
87 -36
93 -36
191 -36
192 -36
196 -36
197 -36
202 -36
204 -36
205 -36
220 -36
229 -36
-251 -35
-250 -35
-235 -35
-232 -35
-229 -35
-228 -35
-218 -35
-217 -35
-216 -35
-215 -35
-214 -35
-211 -35
-205 -35
-198 -35
-197 -35
-193 -35
-192 -35
-189 -35
-188 -35
-187 -35
-186 -35
-179 -35
-178 -35
-177 -35
-172 -35
-167 -35
-164 -35
-160 -35
73 -35
78 -35
84 -35
88 -35
94 -35
191 -35
192 -35
196 -35
197 -35
202 -35
203 -35
205 -35
220 -35
229 -35
-249 -34
-248 -34
-246 -34
-231 -34
-229 -34
-228 -34
-212 -34
-211 -34
-204 -34
-203 -34
-202 -34
-201 -34
-198 -34
-197 -34
-193 -34
-192 -34
-185 -34
-180 -34
-176 -34
-173 -34
-168 -34
-163 -34
-162 -34
-161 -34
73 -34
74 -34
77 -34
78 -34
83 -34
84 -34
87 -34
88 -34
93 -34
94 -34
200 -34
201 -34
220 -34
229 -34
-249 -33
-247 -33
-246 -33
-233 -33
-232 -33
-216 -33
-201 -33
-198 -33
-195 -33
-190 -33
-189 -33
-187 -33
-186 -33
-179 -33
-174 -33
-173 -33
-172 -33
-170 -33
-168 -33
-164 -33
-162 -33
-110 -33
-98 -33
77 -33
83 -33
87 -33
93 -33
114 -33
115 -33
118 -33
119 -33
142 -33
143 -33
144 -33
191 -33
192 -33
196 -33
197 -33
201 -33
221 -33
228 -33
-251 -32
-250 -32
-245 -32
-244 -32
-217 -32
-215 -32
-195 -32
-173 -32
-172 -32
-168 -32
-165 -32
-111 -32
-109 -32
-99 -32
-97 -32
73 -32
74 -32
78 -32
84 -32
88 -32
94 -32
113 -32
114 -32
144 -32
191 -32
193 -32
195 -32
197 -32
200 -32
222 -32
227 -32
-251 -31
-245 -31
-216 -31
-195 -31
-172 -31
-167 -31
-110 -31
-98 -31
74 -31
77 -31
78 -31
83 -31
84 -31
87 -31
88 -31
93 -31
94 -31
114 -31
115 -31
142 -31
144 -31
193 -31
195 -31
200 -31
201 -31
224 -31
225 -31
-250 -30
-244 -30
73 -30
79 -30
80 -30
82 -30
89 -30
90 -30
92 -30
105 -30
106 -30
115 -30
128 -30
129 -30
142 -30
143 -30
151 -30
152 -30
192 -30
193 -30
195 -30
202 -30
204 -30
205 -30
216 -30
217 -30
234 -30
235 -30
-251 -29
-250 -29
-245 -29
-244 -29
-112 -29
-111 -29
-110 -29
-109 -29
-108 -29
-100 -29
-99 -29
-98 -29
-97 -29
-96 -29
-3 -29
-2 -29
19 -29
20 -29
73 -29
74 -29
79 -29
81 -29
82 -29
89 -29
91 -29
92 -29
104 -29
106 -29
128 -29
129 -29
151 -29
153 -29
196 -29
197 -29
202 -29
203 -29
205 -29
217 -29
225 -29
226 -29
234 -29
-249 -28
-248 -28
-246 -28
-231 -28
-223 -28
-138 -28
-137 -28
-132 -28
-131 -28
-129 -28
-113 -28
-108 -28
-100 -28
-95 -28
-4 -28
-1 -28
19 -28
20 -28
104 -28
153 -28
197 -28
206 -28
207 -28
217 -28
219 -28
223 -28
228 -28
232 -28
234 -28
-249 -27
-247 -27
-246 -27
-232 -27
-230 -27
-224 -27
-222 -27
-137 -27
-132 -27
-130 -27
-129 -27
-114 -27
-111 -27
-97 -27
-94 -27
-4 -27
103 -27
104 -27
153 -27
154 -27
196 -27
207 -27
218 -27
219 -27
222 -27
229 -27
232 -27
233 -27
-232 -26
-230 -26
-224 -26
-222 -26
-138 -26
-134 -26
-133 -26
-117 -26
-114 -26
-112 -26
-111 -26
-97 -26
-96 -26
-94 -26
-91 -26
-4 -26
196 -26
197 -26
206 -26
221 -26
230 -26
-234 -25
-233 -25
-232 -25
-230 -25
-229 -25
-225 -25
-224 -25
-222 -25
-221 -25
-220 -25
-213 -25
-212 -25
-211 -25
-200 -25
-199 -25
-198 -25
-189 -25
-188 -25
-186 -25
-185 -25
-174 -25
-173 -25
-138 -25
-137 -25
-134 -25
-118 -25
-116 -25
-114 -25
-108 -25
-100 -25
-94 -25
-92 -25
-90 -25
-4 -25
-2 -25
-1 -25
20 -25
21 -25
197 -25
206 -25
207 -25
221 -25
230 -25
-235 -24
-219 -24
-212 -24
-211 -24
-210 -24
-207 -24
-204 -24
-201 -24
-200 -24
-199 -24
-188 -24
-186 -24
-185 -24
-173 -24
-133 -24
-117 -24
-114 -24
-109 -24
-107 -24
-101 -24
-99 -24
-94 -24
-91 -24
-29 -24
-28 -24
-24 -24
-23 -24
-18 -24
-17 -24
-15 -24
-2 -24
-1 -24
18 -24
20 -24
21 -24
196 -24
202 -24
204 -24
205 -24
221 -24
230 -24
-234 -23
-233 -23
-232 -23
-231 -23
-225 -23
-224 -23
-222 -23
-221 -23
-220 -23
-208 -23
-203 -23
-191 -23
-190 -23
-175 -23
-138 -23
-137 -23
-134 -23
-133 -23
-114 -23
-113 -23
-110 -23
-107 -23
-101 -23
-98 -23
-95 -23
-94 -23
-29 -23
-28 -23
-24 -23
-23 -23
-18 -23
-16 -23
-15 -23
18 -23
196 -23
197 -23
202 -23
203 -23
205 -23
218 -23
219 -23
222 -23
229 -23
232 -23
233 -23
-232 -22
-230 -22
-229 -22
-225 -22
-224 -22
-222 -22
-208 -22
-203 -22
-188 -22
-186 -22
-185 -22
-179 -22
-178 -22
-176 -22
-174 -22
-173 -22
-172 -22
-171 -22
-137 -22
-132 -22
-131 -22
-129 -22
-109 -22
-108 -22
-100 -22
-99 -22
-20 -22
-19 -22
-14 -22
-13 -22
18 -22
217 -22
219 -22
223 -22
228 -22
232 -22
234 -22
-208 -21
-203 -21
-192 -21
-188 -21
-185 -21
-179 -21
-178 -21
-176 -21
-170 -21
-168 -21
-138 -21
-132 -21
-130 -21
-129 -21
-105 -21
-104 -21
-29 -21
-28 -21
-24 -21
-23 -21
-20 -21
-14 -21
-3 -21
-2 -21
12 -21
13 -21
18 -21
21 -21
217 -21
225 -21
226 -21
234 -21
-227 -20
-226 -20
-212 -20
-211 -20
-210 -20
-207 -20
-204 -20
-201 -20
-200 -20
-199 -20
-189 -20
-188 -20
-186 -20
-176 -20
-173 -20
-172 -20
-171 -20
-169 -20
-168 -20
-138 -20
-137 -20
-134 -20
-133 -20
-128 -20
-127 -20
-105 -20
-103 -20
-29 -20
-27 -20
-25 -20
-23 -20
-19 -20
-13 -20
-3 -20
-2 -20
11 -20
14 -20
19 -20
20 -20
216 -20
217 -20
234 -20
235 -20
-227 -19
-213 -19
-212 -19
-211 -19
-200 -19
-199 -19
-198 -19
-191 -19
-176 -19
-171 -19
-134 -19
-128 -19
-110 -19
-107 -19
-104 -19
-27 -19
-25 -19
-20 -19
-19 -19
-14 -19
-13 -19
11 -19
14 -19
-227 -18
-193 -18
-191 -18
-175 -18
-174 -18
-173 -18
-171 -18
-138 -18
-137 -18
-133 -18
-127 -18
-111 -18
-28 -18
-27 -18
-25 -18
-20 -18
-14 -18
10 -18
11 -18
13 -18
14 -18
-228 -17
-227 -17
-193 -17
-192 -17
-172 -17
-137 -17
-134 -17
-133 -17
-128 -17
-127 -17
-113 -17
-112 -17
-101 -17
-100 -17
-99 -17
-24 -17
-23 -17
-19 -17
-13 -17
11 -17
12 -17
-173 -16
-138 -16
-132 -16
-131 -16
-129 -16
-116 -16
-109 -16
-108 -16
-106 -16
-101 -16
-100 -16
-99 -16
-23 -16
-20 -16
-19 -16
-14 -16
-13 -16
104 -16
105 -16
131 -16
132 -16
-232 -15
-230 -15
-229 -15
-225 -15
-224 -15
-222 -15
-173 -15
-172 -15
-138 -15
-137 -15
-132 -15
-130 -15
-129 -15
-113 -15
-109 -15
-106 -15
-101 -15
-100 -15
-99 -15
-24 -15
-20 -15
-14 -15
3 -15
14 -15
105 -15
131 -15
-234 -14
-233 -14
-232 -14
-230 -14
-229 -14
-223 -14
-222 -14
-221 -14
-220 -14
-113 -14
-112 -14
-111 -14
-109 -14
-105 -14
-98 -14
-97 -14
-96 -14
-24 -14
-23 -14
-19 -14
-13 -14
2 -14
4 -14
13 -14
15 -14
105 -14
107 -14
117 -14
118 -14
129 -14
131 -14
-235 -13
-219 -13
-116 -13
-104 -13
-98 -13
-97 -13
-96 -13
-23 -13
-20 -13
-19 -13
-14 -13
-13 -13
3 -13
8 -13
9 -13
14 -13
106 -13
107 -13
115 -13
120 -13
121 -13
122 -13
129 -13
130 -13
-234 -12
-233 -12
-232 -12
-230 -12
-229 -12
-225 -12
-224 -12
-222 -12
-221 -12
-220 -12
-115 -12
-111 -12
-109 -12
-108 -12
-107 -12
-98 -12
-97 -12
-96 -12
-24 -12
-18 -12
-17 -12
-15 -12
6 -12
11 -12
113 -12
114 -12
121 -12
122 -12
123 -12
-232 -11
-230 -11
-224 -11
-222 -11
-114 -11
-111 -11
-107 -11
-24 -11
-23 -11
-18 -11
-16 -11
-15 -11
6 -11
11 -11
113 -11
122 -11
124 -11
-232 -10
-230 -10
-224 -10
-222 -10
-114 -10
-112 -10
-111 -10
-104 -10
6 -10
11 -10
113 -10
122 -10
124 -10
-231 -9
-223 -9
-108 -9
-107 -9
7 -9
10 -9
114 -9
118 -9
119 -9
120 -9
121 -9
122 -9
123 -9
220 -9
-109 -8
5 -8
7 -8
10 -8
12 -8
186 -8
187 -8
192 -8
193 -8
195 -8
202 -8
204 -8
205 -8
219 -8
221 -8
-113 -7
-110 -7
5 -7
6 -7
11 -7
12 -7
114 -7
118 -7
119 -7
120 -7
121 -7
122 -7
123 -7
187 -7
192 -7
194 -7
195 -7
202 -7
203 -7
205 -7
219 -7
221 -7
228 -7
231 -7
236 -7
239 -7
113 -6
122 -6
124 -6
186 -6
190 -6
191 -6
196 -6
197 -6
200 -6
201 -6
216 -6
217 -6
219 -6
221 -6
222 -6
226 -6
227 -6
228 -6
231 -6
232 -6
233 -6
234 -6
235 -6
236 -6
239 -6
240 -6
241 -6
73 -5
74 -5
79 -5
80 -5
82 -5
89 -5
90 -5
92 -5
113 -5
122 -5
124 -5
186 -5
187 -5
190 -5
196 -5
201 -5
216 -5
218 -5
219 -5
224 -5
228 -5
231 -5
236 -5
239 -5
74 -4
79 -4
81 -4
82 -4
89 -4
91 -4
92 -4
113 -4
114 -4
121 -4
122 -4
123 -4
191 -4
197 -4
200 -4
220 -4
221 -4
222 -4
224 -4
73 -3
77 -3
78 -3
83 -3
84 -3
87 -3
88 -3
93 -3
94 -3
106 -3
107 -3
115 -3
120 -3
121 -3
122 -3
129 -3
130 -3
186 -3
187 -3
190 -3
191 -3
196 -3
197 -3
200 -3
201 -3
220 -3
73 -2
74 -2
77 -2
83 -2
87 -2
93 -2
105 -2
107 -2
117 -2
118 -2
129 -2
131 -2
187 -2
190 -2
196 -2
202 -2
204 -2
205 -2
221 -2
222 -2
223 -2
226 -2
227 -2
78 -1
84 -1
88 -1
94 -1
105 -1
131 -1
186 -1
191 -1
197 -1
202 -1
203 -1
205 -1
224 -1
73 0
74 0
77 0
78 0
83 0
84 0
87 0
88 0
93 0
94 0
104 0
105 0
119 0
131 0
132 0
186 0
187 0
190 0
191 0
196 0
197 0
206 0
207 0
221 0
222 0
224 0
226 0
228 0
74 1
77 1
83 1
89 1
90 1
92 1
117 1
120 1
190 1
196 1
207 1
221 1
222 1
224 1
226 1
228 1
229 1
230 1
-214 2
-213 2
73 2
78 2
84 2
89 2
91 2
92 2
117 2
120 2
186 2
187 2
191 2
197 2
206 2
225 2
226 2
231 2
-214 3
-213 3
-194 3
-193 3
73 3
74 3
77 3
78 3
83 3
84 3
87 3
88 3
93 3
94 3
103 3
104 3
118 3
130 3
131 3
187 3
190 3
191 3
196 3
197 3
206 3
207 3
227 3
228 3
229 3
230 3
-194 4
-118 4
-117 4
13 4
14 4
21 4
22 4
77 4
83 4
87 4
93 4
104 4
130 4
186 4
192 4
193 4
195 4
202 4
204 4
205 4
227 4
-249 5
-247 5
-246 5
-230 5
-214 5
-213 5
-212 5
-211 5
-193 5
-178 5
-168 5
-117 5
-89 5
-88 5
13 5
14 5
21 5
22 5
73 5
74 5
78 5
84 5
88 5
94 5
104 5
106 5
116 5
117 5
128 5
130 5
186 5
187 5
192 5
194 5
195 5
202 5
203 5
205 5
228 5
-249 6
-248 6
-246 6
-231 6
-229 6
-215 6
-210 6
-196 6
-195 6
-194 6
-192 6
-190 6
-189 6
-179 6
-177 6
-169 6
-167 6
-117 6
-115 6
-89 6
74 6
77 6
78 6
83 6
84 6
87 6
88 6
93 6
94 6
105 6
106 6
114 6
119 6
120 6
121 6
128 6
129 6
227 6
228 6
-245 7
-244 7
-232 7
-230 7
-228 7
-218 7
-215 7
-211 7
-209 7
-197 7
-194 7
-192 7
-190 7
-187 7
-179 7
-177 7
-169 7
-167 7
-116 7
-115 7
-91 7
-89 7
73 7
79 7
80 7
82 7
89 7
90 7
92 7
112 7
113 7
120 7
121 7
122 7
-244 8
-232 8
-230 8
-228 8
-219 8
-217 8
-215 8
-213 8
-211 8
-209 8
-206 8
-196 8
-195 8
-194 8
-192 8
-190 8
-188 8
-187 8
-182 8
-181 8
-179 8
-177 8
-176 8
-170 8
-169 8
-167 8
-165 8
-164 8
-112 8
-110 8
-107 8
-105 8
-91 8
-90 8
73 8
74 8
79 8
81 8
82 8
89 8
91 8
92 8
112 8
121 8
123 8
-245 9
-235 9
-234 9
-232 9
-228 9
-226 9
-225 9
-218 9
-215 9
-213 9
-211 9
-209 9
-207 9
-205 9
-199 9
-198 9
-197 9
-192 9
-190 9
-182 9
-180 9
-179 9
-176 9
-170 9
-167 9
-166 9
-164 9
-113 9
-110 9
-107 9
-104 9
-101 9
-99 9
-96 9
-94 9
112 9
121 9
123 9
-245 10
-244 10
-235 10
-233 10
-228 10
-226 10
-225 10
-215 10
-213 10
-209 10
-206 10
-199 10
-196 10
-194 10
-192 10
-190 10
-178 10
-177 10
-169 10
-168 10
-112 10
-110 10
-107 10
-105 10
-102 10
-99 10
-96 10
-93 10
113 10
117 10
118 10
119 10
120 10
121 10
122 10
127 10
128 10
-247 11
-246 11
-232 11
-231 11
-230 11
-229 11
-214 11
-209 11
-196 11
-191 11
-178 11
-175 11
-171 11
-168 11
-116 11
-115 11
-101 11
-99 11
-96 11
-94 11
-3 11
-2 11
37 11
38 11
-246 12
-213 12
-212 12
-211 12
-210 12
-195 12
-194 12
-193 12
-192 12
-177 12
-176 12
-175 12
-171 12
-170 12
-169 12
-138 12
-137 12
-132 12
-131 12
-129 12
-117 12
-115 12
-91 12
-90 12
-28 12
-27 12
-23 12
-22 12
-19 12
-18 12
-14 12
-13 12
-4 12
-2 12
37 12
39 12
113 12
117 12
118 12
119 12
120 12
121 12
122 12
127 12
128 12
-247 13
-230 13
-229 13
-137 13
-132 13
-130 13
-129 13
-117 13
-91 13
-89 13
-28 13
-27 13
-23 13
-22 13
-19 13
-18 13
-14 13
-13 13
-4 13
-2 13
0 13
1 13
5 13
6 13
29 13
30 13
34 13
35 13
37 13
39 13
112 13
121 13
123 13
-247 14
-246 14
-230 14
-229 14
-211 14
-210 14
-193 14
-192 14
-178 14
-176 14
-175 14
-171 14
-170 14
-168 14
-138 14
-134 14
-133 14
-128 14
-127 14
-118 14
-117 14
-89 14
-3 14
-1 14
1 14
5 14
6 14
29 14
30 14
34 14
36 14
38 14
112 14
121 14
123 14
-249 15
-248 15
-211 15
-210 15
-193 15
-192 15
-178 15
-177 15
-175 15
-171 15
-169 15
-168 15
-138 15
-137 15
-134 15
-128 15
-89 15
-88 15
-28 15
-27 15
-23 15
-22 15
-19 15
-18 15
-14 15
-13 15
-1 15
36 15
112 15
113 15
120 15
121 15
122 15
-248 16
-133 16
-127 16
-104 16
-103 16
-28 16
-26 16
-24 16
-22 16
-19 16
-17 16
-15 16
-13 16
-2 16
1 16
34 16
37 16
105 16
106 16
114 16
119 16
120 16
121 16
128 16
129 16
-249 17
-138 17
-137 17
-134 17
-133 17
-128 17
-127 17
-104 17
-103 17
-100 17
-99 17
-26 17
-24 17
-17 17
-15 17
-2 17
14 17
15 17
20 17
21 17
37 17
104 17
106 17
116 17
117 17
128 17
130 17
235 17
243 17
-249 18
-248 18
-137 18
-132 18
-131 18
-129 18
-99 18
-98 18
-27 18
-26 18
-24 18
-18 18
-17 18
-15 18
-2 18
2 18
13 18
15 18
20 18
22 18
33 18
37 18
104 18
130 18
234 18
236 18
242 18
244 18
-138 19
-132 19
-130 19
-129 19
-99 19
-23 19
-22 19
-14 19
-13 19
-2 19
2 19
12 19
13 19
22 19
23 19
33 19
37 19
103 19
104 19
130 19
131 19
235 19
243 19
-138 20
-137 20
-134 20
-133 20
-128 20
-127 20
-95 20
-94 20
-22 20
-13 20
-2 20
13 20
15 20
20 20
22 20
37 20
-134 21
-128 21
-95 21
-94 21
-23 21
-14 21
-2 21
1 21
14 21
15 21
20 21
21 21
34 21
37 21
-138 22
-137 22
-133 22
-127 22
-110 22
-109 22
-23 22
-22 22
-14 22
-13 22
-1 22
36 22
-137 23
-134 23
-133 23
-128 23
-127 23
-109 23
-81 23
-80 23
-22 23
-13 23
-3 23
-1 23
1 23
34 23
36 23
38 23
228 23
230 23
248 23
250 23
-138 24
-132 24
-131 24
-129 24
-109 24
-107 24
-81 24
-23 24
-14 24
-4 24
-2 24
0 24
1 24
34 24
35 24
37 24
39 24
231 24
247 24
-231 25
-186 25
-185 25
-177 25
-176 25
-138 25
-137 25
-132 25
-130 25
-129 25
-108 25
-107 25
-83 25
-81 25
-23 25
-22 25
-14 25
-13 25
-4 25
-2 25
37 25
39 25
230 25
235 25
243 25
248 25
-232 26
-230 26
-207 26
-204 26
-186 26
-185 26
-177 26
-176 26
-104 26
-102 26
-99 26
-97 26
-83 26
-82 26
-3 26
-2 26
37 26
38 26
226 26
234 26
237 26
241 26
244 26
252 26
-232 27
-230 27
-207 27
-206 27
-205 27
-204 27
-105 27
-102 27
-99 27
-96 27
-93 27
-91 27
-88 27
-86 27
182 27
183 27
185 27
192 27
193 27
195 27
202 27
203 27
205 27
225 27
227 27
228 27
235 27
236 27
237 27
241 27
242 27
243 27
250 27
251 27
253 27
-235 28
-234 28
-232 28
-230 28
-229 28
-186 28
-185 28
-184 28
-183 28
-179 28
-178 28
-177 28
-176 28
-104 28
-102 28
-99 28
-97 28
-94 28
-91 28
-88 28
-85 28
182 28
184 28
185 28
192 28
194 28
195 28
202 28
204 28
205 28
225 28
235 28
236 28
237 28
241 28
242 28
243 28
253 28
-235 29
-233 29
-232 29
-209 29
-208 29
-207 29
-206 29
-205 29
-204 29
-203 29
-202 29
-187 29
-182 29
-180 29
-175 29
-108 29
-107 29
-93 29
-91 29
-88 29
-86 29
186 29
187 29
196 29
197 29
200 29
201 29
206 29
207 29
224 29
225 29
253 29
254 29
-231 30
-230 30
-210 30
-201 30
-188 30
-186 30
-183 30
-182 30
-180 30
-179 30
-176 30
-174 30
-109 30
-107 30
-83 30
-82 30
141 30
186 30
196 30
200 30
206 30
-231 31
-228 31
-211 31
-209 31
-208 31
-207 31
-203 31
-202 31
-200 31
-191 31
-188 31
-186 31
-176 31
-174 31
-171 31
-109 31
-83 31
-81 31
140 31
142 31
187 31
197 31
201 31
207 31
231 31
232 31
246 31
247 31
-230 32
-229 32
-228 32
-211 32
-209 32
-202 32
-200 32
-192 32
-190 32
-188 32
-186 32
-183 32
-182 32
-180 32
-179 32
-176 32
-174 32
-172 32
-170 32
-110 32
-109 32
-81 32
139 32
143 32
186 32
187 32
196 32
197 32
200 32
201 32
206 32
207 32
231 32
232 32
246 32
247 32
-227 33
-226 33
-214 33
-213 33
-211 33
-209 33
-200 33
-198 33
-197 33
-191 33
-188 33
-186 33
-176 33
-174 33
-171 33
-81 33
-80 33
13 33
14 33
21 33
22 33
140 33
144 33
182 33
183 33
185 33
192 33
193 33
195 33
202 33
203 33
205 33
-230 34
-229 34
-227 34
-223 34
-213 34
-211 34
-200 34
-198 34
-188 34
-186 34
-183 34
-182 34
-180 34
-179 34
-176 34
-174 34
13 34
14 34
21 34
22 34
141 34
145 34
182 34
184 34
185 34
192 34
194 34
195 34
202 34
204 34
205 34
224 34
225 34
253 34
254 34
-230 35
-229 35
-227 35
-225 35
-223 35
-222 35
-221 35
-213 35
-211 35
-200 35
-198 35
-187 35
-182 35
-180 35
-175 35
120 35
122 35
123 35
125 35
126 35
142 35
146 35
186 35
187 35
190 35
191 35
206 35
207 35
220 35
225 35
235 35
236 35
237 35
241 35
242 35
243 35
253 35
-226 36
-225 36
-220 36
-214 36
-213 36
-211 36
-202 36
-200 36
-198 36
-197 36
-186 36
-185 36
-184 36
-183 36
-179 36
-178 36
-177 36
-176 36
119 36
120 36
122 36
123 36
126 36
127 36
143 36
145 36
186 36
190 36
206 36
219 36
221 36
225 36
227 36
228 36
235 36
236 36
237 36
241 36
242 36
243 36
250 36
251 36
253 36
-224 37
-223 37
-222 37
-221 37
-211 37
-209 37
-202 37
-200 37
119 37
144 37
187 37
191 37
207 37
219 37
221 37
226 37
234 37
237 37
241 37
244 37
252 37
-224 38
-211 38
-209 38
-208 38
-204 38
-203 38
-202 38
-200 38
-186 38
-185 38
-177 38
-176 38
126 38
127 38
186 38
187 38
190 38
191 38
206 38
207 38
216 38
217 38
219 38
221 38
222 38
230 38
235 38
243 38
248 38
-223 39
-210 39
-201 39
-186 39
-185 39
-177 39
-176 39
119 39
120 39
126 39
127 39
182 39
183 39
185 39
192 39
193 39
195 39
202 39
203 39
205 39
216 39
218 39
219 39
224 39
231 39
247 39
-224 40
-223 40
-209 40
-208 40
-207 40
-206 40
-205 40
-204 40
-203 40
-202 40
119 40
120 40
182 40
184 40
185 40
192 40
194 40
195 40
202 40
204 40
205 40
220 40
221 40
222 40
224 40
228 40
230 40
248 40
250 40
127 41
220 41
-207 42
-206 42
-205 42
-204 42
119 42
120 42
123 42
124 42
126 42
127 42
221 42
222 42
223 42
226 42
227 42
-207 43
-204 43
120 43
121 43
123 43
124 43
126 43
224 43
-102 44
-101 44
-97 44
-96 44
221 44
222 44
224 44
226 44
228 44
235 44
243 44
-103 45
-100 45
-98 45
-95 45
-29 45
-28 45
-24 45
-23 45
-18 45
-17 45
-15 45
221 45
222 45
224 45
226 45
228 45
229 45
230 45
234 45
236 45
242 45
244 45
-107 46
-106 46
-102 46
-101 46
-97 46
-96 46
-92 46
-91 46
-29 46
-28 46
-24 46
-23 46
-18 46
-16 46
-15 46
20 46
153 46
155 46
156 46
158 46
159 46
225 46
226 46
231 46
235 46
243 46
-107 47
-91 47
-20 47
-19 47
6 47
7 47
17 47
18 47
22 47
152 47
153 47
155 47
156 47
159 47
160 47
227 47
228 47
229 47
230 47
-110 48
-109 48
-107 48
-91 48
-89 48
-88 48
-29 48
-28 48
-24 48
-23 48
-20 48
5 48
7 48
17 48
18 48
20 48
22 48
23 48
116 48
117 48
152 48
227 48
-111 49
-109 49
-107 49
-106 49
-92 49
-91 49
-89 49
-87 49
-29 49
-27 49
-25 49
-23 49
-19 49
5 49
16 49
23 49
24 49
108 49
115 49
116 49
117 49
128 49
130 49
131 49
159 49
160 49
228 49
-111 50
-109 50
-89 50
-87 50
-27 50
-25 50
-20 50
-19 50
5 50
6 50
7 50
17 50
18 50
20 50
22 50
23 50
107 50
109 50
116 50
117 50
128 50
132 50
134 50
152 50
153 50
159 50
160 50
227 50
228 50
-113 51
-112 51
-109 51
-89 51
-86 51
-85 51
-28 51
-27 51
-25 51
-18 51
-17 51
-15 51
17 51
18 51
22 51
106 51
110 51
117 51
125 51
126 51
134 51
152 51
153 51
-114 52
-109 52
-108 52
-102 52
-96 52
-90 52
-89 52
-84 52
-24 52
-23 52
-18 52
-16 52
-15 52
20 52
105 52
109 52
118 52
119 52
126 52
132 52
134 52
160 52
-114 53
-113 53
-112 53
-111 53
-110 53
-103 53
-101 53
-97 53
-95 53
-88 53
-87 53
-86 53
-85 53
-84 53
-23 53
-20 53
-19 53
-14 53
-13 53
104 53
108 53
119 53
125 53
127 53
128 53
130 53
152 53
153 53
156 53
157 53
159 53
160 53
-249 54
-248 54
-246 54
-212 54
-209 54
-192 54
-177 54
-175 54
-174 54
-110 54
-88 54
-24 54
-20 54
-14 54
5 54
6 54
7 54
103 54
107 54
153 54
154 54
156 54
157 54
159 54
-249 55
-247 55
-246 55
-208 55
-193 55
-191 55
-177 55
-176 55
-174 55
-116 55
-115 55
-114 55
-113 55
-103 55
-102 55
-101 55
-97 55
-96 55
-95 55
-85 55
-84 55
-83 55
-82 55
-24 55
-23 55
-19 55
-13 55
-4 55
-3 55
5 55
23 55
24 55
73 55
74 55
79 55
80 55
82 55
89 55
90 55
92 55
104 55
106 55
-251 56
-250 56
-245 56
-244 56
-234 56
-233 56
-207 56
-206 56
-192 56
-116 56
-113 56
-85 56
-82 56
-23 56
-20 56
-19 56
-14 56
-13 56
-4 56
-3 56
5 56
7 56
23 56
24 56
74 56
79 56
81 56
82 56
89 56
91 56
92 56
105 56
-251 57
-245 57
-234 57
-233 57
-213 57
-211 57
-210 57
-203 57
-177 57
-176 57
-175 57
-142 57
-141 57
-139 57
-132 57
-131 57
-129 57
-24 57
-18 57
-17 57
-15 57
6 57
7 57
73 57
83 57
84 57
87 57
88 57
93 57
94 57
-250 58
-244 58
-223 58
-222 58
-221 58
-213 58
-210 58
-206 58
-194 58
-193 58
-192 58
-191 58
-190 58
-181 58
-180 58
-178 58
-176 58
-174 58
-172 58
-171 58
-142 58
-140 58
-139 58
-132 58
-130 58
-129 58
-102 58
-101 58
-97 58
-96 58
-24 58
-23 58
-18 58
-16 58
-15 58
73 58
74 58
83 58
87 58
93 58
-251 59
-250 59
-245 59
-244 59
-223 59
-222 59
-221 59
-214 59
-210 59
-208 59
-207 59
-206 59
-197 59
-195 59
-189 59
-187 59
-181 59
-180 59
-178 59
-174 59
-172 59
-171 59
-138 59
-137 59
-134 59
-133 59
-117 59
-109 59
-107 59
-101 59
-97 59
-91 59
-89 59
-81 59
84 59
88 59
94 59
-249 60
-248 60
-246 60
-235 60
-234 60
-223 60
-222 60
-221 60
-215 60
-203 60
-197 60
-196 60
-194 60
-190 60
-188 60
-187 60
-178 60
-174 60
-138 60
-134 60
-118 60
-116 60
-110 60
-107 60
-104 60
-94 60
-91 60
-88 60
-82 60
-80 60
73 60
74 60
83 60
84 60
87 60
88 60
93 60
94 60
116 60
117 60
-249 61
-247 61
-246 61
-235 61
-234 61
-232 61
-226 61
-225 61
-224 61
-212 61
-211 61
-210 61
-208 61
-204 61
-194 61
-190 61
-178 61
-174 61
-137 61
-133 61
-118 61
-116 61
-109 61
-107 61
-104 61
-103 61
-95 61
-94 61
-91 61
-89 61
-82 61
-80 61
74 61
79 61
80 61
82 61
89 61
90 61
92 61
116 61
117 61
151 61
152 61
-251 62
-250 62
-245 62
-244 62
-232 62
-226 62
-225 62
-224 62
-212 62
-208 62
-205 62
-194 62
-190 62
-177 62
-176 62
-175 62
-138 62
-137 62
-134 62
-133 62
-117 62
-81 62
73 62
79 62
81 62
82 62
89 62
91 62
92 62
151 62
152 62
-251 63
-245 63
-232 63
-226 63
-225 63
-224 63
-215 63
-208 63
-207 63
-205 63
-193 63
-192 63
-191 63
-142 63
-141 63
-139 63
-132 63
-131 63
-129 63
73 63
74 63
77 63
78 63
87 63
88 63
93 63
94 63
-250 64
-244 64
-235 64
-232 64
-212 64
-211 64
-178 64
-176 64
-175 64
-142 64
-140 64
-139 64
-132 64
-130 64
-129 64
-117 64
-81 64
77 64
87 64
93 64
-251 65
-250 65
-245 65
-244 65
-234 65
-233 65
-210 65
-193 65
-192 65
-190 65
-178 65
-177 65
-175 65
-144 65
-143 65
-134 65
-133 65
-128 65
-127 65
-118 65
-116 65
-109 65
-107 65
-104 65
-103 65
-95 65
-94 65
-91 65
-89 65
-82 65
-80 65
73 65
74 65
78 65
88 65
94 65
-249 66
-248 66
-246 66
-209 66
-206 66
-193 66
-191 66
-190 66
-144 66
-134 66
-128 66
-118 66
-116 66
-110 66
-107 66
-104 66
-94 66
-91 66
-88 66
-82 66
-80 66
74 66
77 66
78 66
87 66
88 66
93 66
94 66
163 66
-249 67
-247 67
-246 67
-143 67
-133 67
-127 67
-117 67
-109 67
-107 67
-101 67
-97 67
-91 67
-89 67
-81 67
73 67
79 67
80 67
82 67
89 67
90 67
92 67
162 67
164 67
-144 68
-143 68
-134 68
-133 68
-128 68
-127 68
-102 68
-101 68
-97 68
-96 68
73 68
74 68
79 68
81 68
82 68
89 68
91 68
92 68
109 68
111 68
112 68
114 68
115 68
161 68
165 68
-142 69
-141 69
-139 69
-132 69
-131 69
-129 69
8 69
13 69
108 69
109 69
111 69
112 69
115 69
116 69
138 69
140 69
141 69
143 69
149 69
160 69
164 69
-142 70
-140 70
-139 70
-132 70
-130 70
-129 70
-116 70
-113 70
-85 70
-82 70
6 70
7 70
8 70
13 70
14 70
15 70
108 70
134 70
136 70
142 70
149 70
150 70
159 70
163 70
-188 71
-116 71
-115 71
-114 71
-113 71
-103 71
-102 71
-101 71
-97 71
-96 71
-95 71
-85 71
-84 71
-83 71
-82 71
5 71
16 71
115 71
116 71
134 71
142 71
143 71
151 71
158 71
162 71
-189 72
-187 72
-110 72
-88 72
5 72
6 72
15 72
16 72
108 72
109 72
115 72
116 72
134 72
136 72
140 72
151 72
152 72
159 72
161 72
-188 73
-114 73
-113 73
-112 73
-111 73
-110 73
-103 73
-101 73
-97 73
-95 73
-88 73
-87 73
-86 73
-85 73
-84 73
108 73
109 73
137 73
138 73
140 73
151 73
152 73
153 73
160 73
-235 74
-234 74
-222 74
-221 74
-214 74
-114 74
-109 74
-108 74
-102 74
-96 74
-90 74
-89 74
-84 74
116 74
151 74
152 74
-235 75
-233 75
-223 75
-221 75
-214 75
-213 75
-212 75
-203 75
-202 75
-190 75
-189 75
-188 75
-187 75
-186 75
-113 75
-112 75
-109 75
-89 75
-86 75
-85 75
2 75
3 75
4 75
17 75
18 75
19 75
108 75
109 75
112 75
113 75
115 75
116 75
-234 76
-225 76
-224 76
-223 76
-211 76
-203 76
-191 76
-186 76
-111 76
-109 76
-89 76
-87 76
10 76
11 76
109 76
110 76
112 76
113 76
115 76
-226 77
-222 77
-212 77
-205 77
-203 77
-192 77
-189 77
-111 77
-109 77
-107 77
-106 77
-92 77
-91 77
-89 77
-87 77
-27 77
-26 77
-22 77
-21 77
-18 77
-16 77
-15 77
10 77
11 77
-235 78
-234 78
-230 78
-226 78
-225 78
-224 78
-223 78
-222 78
-212 78
-208 78
-205 78
-204 78
-195 78
-192 78
-190 78
-189 78
-110 78
-109 78
-107 78
-91 78
-89 78
-88 78
-27 78
-26 78
-22 78
-21 78
-18 78
-17 78
-15 78
-235 79
-234 79
-232 79
-231 79
-230 79
-226 79
-225 79
-207 79
-196 79
-194 79
-192 79
-187 79
-186 79
-107 79
-91 79
-14 79
-13 79
-3 79
7 79
14 79
24 79
142 79
144 79
145 79
147 79
148 79
-230 80
-226 80
-225 80
-224 80
-223 80
-222 80
-210 80
-207 80
-195 80
-192 80
-188 80
-185 80
-182 80
-181 80
-107 80
-106 80
-102 80
-101 80
-97 80
-96 80
-92 80
-91 80
-27 80
-26 80
-22 80
-21 80
-13 80
-4 80
-2 80
6 80
15 80
23 80
25 80
141 80
142 80
144 80
145 80
148 80
149 80
-226 81
-222 81
-209 81
-208 81
-207 81
-192 81
-191 81
-188 81
-186 81
-181 81
-178 81
-103 81
-100 81
-98 81
-95 81
-27 81
-25 81
-23 81
-21 81
-14 81
-3 81
6 81
15 81
24 81
141 81
-234 82
-225 82
-224 82
-223 82
-187 82
-181 82
-179 82
-177 82
-102 82
-101 82
-97 82
-96 82
-25 82
-23 82
-14 82
-13 82
6 82
15 82
148 82
149 82
-235 83
-233 83
-223 83
-221 83
-213 83
-212 83
-184 83
-183 83
-181 83
-178 83
-26 83
-25 83
-23 83
-16 83
-15 83
7 83
14 83
141 83
142 83
148 83
149 83
-235 84
-234 84
-222 84
-221 84
-214 84
-212 84
-206 84
-205 84
-184 84
-183 84
-181 84
-22 84
-21 84
-15 84
141 84
142 84
-214 85
-206 85
-187 85
-182 85
-21 85
-16 85
7 85
14 85
124 85
149 85
-215 86
-214 86
-205 86
-204 86
-203 86
-187 86
-186 86
-185 86
-184 86
-183 86
-22 86
-16 86
-15 86
6 86
15 86
123 86
125 86
141 86
142 86
145 86
146 86
148 86
149 86
-203 87
-22 87
-21 87
-18 87
-17 87
-3 87
6 87
15 87
24 87
122 87
126 87
142 87
143 87
145 87
146 87
148 87
-185 88
-21 88
-17 88
-4 88
-2 88
6 88
15 88
23 88
25 88
123 88
127 88
-186 89
-184 89
-22 89
-18 89
-3 89
7 89
14 89
24 89
124 89
128 89
-185 90
-22 90
-21 90
-18 90
-17 90
125 90
129 90
-80 91
-79 91
-75 91
-74 91
10 91
11 91
126 91
128 91
-142 92
-141 92
-139 92
-132 92
-131 92
-129 92
-81 92
-78 92
-76 92
-73 92
10 92
11 92
127 92
-142 93
-140 93
-139 93
-132 93
-130 93
-129 93
-116 93
-114 93
-100 93
-98 93
-85 93
-84 93
-80 93
-79 93
-75 93
-74 93
-70 93
-69 93
2 93
3 93
4 93
17 93
18 93
19 93
-138 94
-137 94
-134 94
-133 94
-128 94
-127 94
-113 94
-101 94
-85 94
-69 94
-138 95
-134 95
-128 95
-117 95
-114 95
-100 95
-97 95
-88 95
-87 95
-85 95
-69 95
-67 95
-66 95
-137 96
-133 96
-127 96
-118 96
-116 96
-114 96
-100 96
-98 96
-96 96
-90 96
-87 96
-85 96
-84 96
-70 96
-69 96
-67 96
-64 96
5 96
6 96
15 96
16 96
-138 97
-137 97
-134 97
-133 97
-128 97
-127 97
-118 97
-115 97
-99 97
-96 97
-90 97
-89 97
-87 97
-67 97
-65 97
-64 97
5 97
16 97
-142 98
-141 98
-139 98
-132 98
-131 98
-129 98
-117 98
-116 98
-111 98
-110 98
-109 98
-105 98
-104 98
-103 98
-98 98
-97 98
-87 98
-81 98
-80 98
-79 98
-75 98
-74 98
-73 98
-67 98
6 98
7 98
8 98
13 98
14 98
15 98
-142 99
-140 99
-139 99
-132 99
-130 99
-129 99
-110 99
-104 99
-87 99
-86 99
-80 99
-74 99
-68 99
-67 99
8 99
13 99
-144 100
-143 100
-134 100
-133 100
-128 100
-127 100
-249 101
-248 101
-246 101
-235 101
-234 101
-221 101
-220 101
-214 101
-213 101
-196 101
-195 101
-144 101
-134 101
-128 101
-117 101
-116 101
-98 101
-97 101
-87 101
-86 101
-68 101
-67 101
-249 102
-247 102
-246 102
-234 102
-221 102
-213 102
-196 102
-143 102
-133 102
-127 102
-118 102
-115 102
-99 102
-96 102
-88 102
-85 102
-69 102
-66 102
-251 103
-250 103
-245 103
-244 103
-234 103
-232 103
-223 103
-221 103
-213 103
-211 103
-198 103
-196 103
-144 103
-143 103
-134 103
-133 103
-128 103
-127 103
-118 103
-116 103
-113 103
-101 103
-98 103
-96 103
-88 103
-86 103
-83 103
-71 103
-68 103
-66 103
113 103
114 103
-251 104
-245 104
-233 104
-232 104
-223 104
-222 104
-212 104
-211 104
-198 104
-197 104
-142 104
-141 104
-139 104
-132 104
-131 104
-129 104
-117 104
-97 104
-87 104
-67 104
103 104
104 104
112 104
114 104
130 104
131 104
-250 105
-244 105
-207 105
-202 105
-142 105
-140 105
-139 105
-132 105
-130 105
-129 105
-116 105
-115 105
-113 105
-101 105
-99 105
-98 105
-86 105
-85 105
-83 105
-71 105
-69 105
-68 105
69 105
70 105
72 105
79 105
80 105
82 105
89 105
90 105
92 105
103 105
104 105
112 105
130 105
131 105
-251 106
-250 106
-245 106
-244 106
-230 106
-229 106
-228 106
-227 106
-226 106
-225 106
-209 106
-208 106
-206 106
-205 106
-204 106
-203 106
-201 106
-200 106
-114 106
-100 106
-84 106
-70 106
69 106
71 106
72 106
79 106
81 106
82 106
89 106
91 106
92 106
112 106
113 106
114 106
-249 107
-248 107
-246 107
-207 107
-202 107
-179 107
-178 107
-176 107
-175 107
67 107
68 107
77 107
78 107
83 107
84 107
87 107
88 107
93 107
94 107
-249 108
-247 108
-246 108
-233 108
-232 108
-223 108
-222 108
-212 108
-211 108
-198 108
-197 108
-180 108
-178 108
-176 108
67 108
77 108
83 108
87 108
93 108
127 108
-245 109
-244 109
-234 109
-232 109
-223 109
-221 109
-213 109
-211 109
-198 109
-196 109
-180 109
-176 109
68 109
78 109
84 109
88 109
94 109
124 109
125 109
129 109
-245 110
-234 110
-221 110
-213 110
-196 110
-182 110
-181 110
-179 110
-178 110
-177 110
10 110
67 110
68 110
77 110
78 110
83 110
84 110
87 110
88 110
93 110
94 110
112 110
113 110
114 110
124 110
125 110
127 110
129 110
130 110
-244 111
-235 111
-234 111
-221 111
-220 111
-214 111
-213 111
-196 111
-195 111
-183 111
-181 111
-179 111
8 111
9 111
10 111
69 111
70 111
72 111
79 111
80 111
82 111
87 111
93 111
112 111
123 111
130 111
131 111
-245 112
-244 112
-183 112
-181 112
-179 112
-28 112
-26 112
-25 112
-18 112
-17 112
-15 112
-4 112
-3 112
7 112
69 112
71 112
72 112
79 112
81 112
82 112
88 112
94 112
112 112
114 112
124 112
125 112
127 112
129 112
130 112
-249 113
-248 113
-246 113
-185 113
-184 113
-181 113
-28 113
-27 113
-25 113
-18 113
-16 113
-15 113
-3 113
7 113
8 113
67 113
68 113
73 113
74 113
83 113
84 113
87 113
88 113
93 113
94 113
113 113
114 113
124 113
125 113
129 113
-249 114
-247 114
-246 114
-186 114
-181 114
-180 114
-30 114
-29 114
-14 114
-13 114
-3 114
-1 114
67 114
73 114
83 114
87 114
93 114
127 114
-186 115
-185 115
-184 115
-183 115
-182 115
-29 115
-14 115
-2 115
-1 115
68 115
74 115
84 115
88 115
94 115
-188 116
-187 116
-182 116
-179 116
-178 116
-177 116
-30 116
-13 116
67 116
68 116
73 116
74 116
83 116
84 116
87 116
88 116
93 116
94 116
-231 117
-230 117
-189 117
-186 117
-185 117
-184 117
-180 117
-176 117
-168 117
-142 117
-141 117
-139 117
-132 117
-131 117
-129 117
-108 117
-107 117
-103 117
-102 117
-69 117
-68 117
-64 117
-63 117
-30 117
-29 117
-14 117
-13 117
3 117
69 117
70 117
72 117
79 117
80 117
82 117
89 117
90 117
92 117
-230 118
-205 118
-204 118
-189 118
-188 118
-186 118
-180 118
-179 118
-177 118
-176 118
-170 118
-169 118
-168 118
-142 118
-140 118
-139 118
-132 118
-130 118
-129 118
-109 118
-106 118
-104 118
-101 118
-70 118
-67 118
-65 118
-62 118
-28 118
-26 118
-25 118
-18 118
-17 118
-15 118
3 118
5 118
69 118
71 118
72 118
79 118
81 118
82 118
89 118
91 118
92 118
-231 119
-209 119
-208 119
-205 119
-186 119
-181 119
-176 119
-171 119
-138 119
-137 119
-134 119
-133 119
-128 119
-127 119
-113 119
-112 119
-108 119
-107 119
-103 119
-102 119
-98 119
-97 119
-74 119
-73 119
-69 119
-68 119
-64 119
-63 119
-59 119
-58 119
-28 119
-27 119
-25 119
-18 119
-16 119
-15 119
2 119
128 119
133 119
-232 120
-230 120
-229 120
-228 120
-209 120
-207 120
-205 120
-189 120
-188 120
-187 120
-181 120
-180 120
-178 120
-177 120
-171 120
-169 120
-168 120
-138 120
-134 120
-128 120
-113 120
-97 120
-74 120
-58 120
-24 120
-23 120
-20 120
-19 120
3 120
126 120
127 120
129 120
130 120
131 120
132 120
134 120
135 120
-232 121
-230 121
-227 121
-208 121
-205 121
-203 121
-202 121
-189 121
-181 121
-177 121
-173 121
-172 121
-171 121
-168 121
-137 121
-133 121
-127 121
-116 121
-115 121
-113 121
-97 121
-95 121
-94 121
-77 121
-76 121
-74 121
-58 121
-56 121
-55 121
-23 121
-20 121
4 121
5 121
9 121
10 121
128 121
133 121
-235 122
-234 122
-232 122
-229 122
-228 122
-226 122
-205 122
-203 122
-202 122
-180 122
-179 122
-178 122
-175 122
-170 122
-169 122
-138 122
-137 122
-134 122
-133 122
-128 122
-127 122
-118 122
-115 122
-113 122
-112 122
-98 122
-97 122
-95 122
-92 122
-78 122
-76 122
-74 122
-73 122
-59 122
-58 122
-56 122
-54 122
-24 122
-19 122
9 122
11 122
-234 123
-232 123
-230 123
-228 123
-226 123
-205 123
-175 123
-174 123
-173 123
-172 123
-171 123
-142 123
-141 123
-139 123
-132 123
-131 123
-129 123
-118 123
-117 123
-115 123
-95 123
-93 123
-92 123
-78 123
-76 123
-56 123
-54 123
-24 123
-23 123
-20 123
-19 123
0 123
1 123
11 123
-234 124
-232 124
-230 124
-228 124
-226 124
-225 124
-214 124
-213 124
-207 124
-205 124
-177 124
-176 124
-171 124
-142 124
-140 124
-139 124
-132 124
-130 124
-129 124
-115 124
-95 124
-80 124
-79 124
-76 124
-56 124
-53 124
-52 124
-28 124
-26 124
-25 124
-18 124
-17 124
-15 124
1 124
11 124
12 124
-233 125
-228 125
-225 125
-214 125
-212 125
-207 125
-206 125
-176 125
-173 125
-172 125
-144 125
-143 125
-128 125
-127 125
-115 125
-114 125
-108 125
-102 125
-96 125
-95 125
-81 125
-76 125
-75 125
-69 125
-63 125
-57 125
-56 125
-51 125
-28 125
-27 125
-25 125
-18 125
-16 125
-15 125
-2 125
-1 125
0 125
-232 126
-231 126
-227 126
-213 126
-209 126
-208 126
-178 126
-176 126
-174 126
-144 126
-128 126
-109 126
-107 126
-103 126
-101 126
-81 126
-80 126
-79 126
-78 126
-77 126
-70 126
-68 126
-64 126
-62 126
-55 126
-54 126
-53 126
-52 126
-51 126
-2 126
-230 127
-229 127
-228 127
-208 127
-178 127
-176 127
-174 127
-143 127
-127 127
-77 127
-55 127
-234 128
-233 128
-232 128
-215 128
-214 128
-213 128
-212 128
-211 128
-210 128
-209 128
-180 128
-179 128
-178 128
-176 128
-175 128
-144 128
-143 128
-128 128
-127 128
-109 128
-108 128
-107 128
-103 128
-102 128
-101 128
-83 128
-82 128
-81 128
-80 128
-70 128
-69 128
-68 128
-64 128
-63 128
-62 128
-52 128
-51 128
-50 128
-49 128
-234 129
-231 129
-230 129
-215 129
-181 129
-177 129
-142 129
-141 129
-139 129
-132 129
-131 129
-129 129
-83 129
-80 129
-52 129
-49 129
-231 130
-229 130
-212 130
-211 130
-181 130
-179 130
-177 130
-142 130
-140 130
-139 130
-132 130
-130 130
-129 130
-230 131
-212 131
-211 131
-182 131
-181 131
-179 131
-178 131
-109 132
-101 132
-84 132
-76 132
-74 132
-58 132
-56 132
-48 132
-110 133
-108 133
-102 133
-100 133
-85 133
-83 133
-77 133
-74 133
-58 133
-55 133
-49 133
-47 133
-109 134
-101 134
-85 134
-83 134
-76 134
-74 134
-58 134
-56 134
-49 134
-47 134
-84 135
-48 135
-84 137
-48 137
-4 137
-3 137
23 137
24 137
-85 138
-83 138
-76 138
-74 138
-58 138
-56 138
-49 138
-47 138
-27 138
-25 138
-24 138
-19 138
-18 138
-14 138
-13 138
-3 138
23 138
-85 139
-83 139
-77 139
-74 139
-58 139
-55 139
-49 139
-47 139
-27 139
-26 139
-24 139
-19 139
-18 139
-14 139
-13 139
-3 139
-1 139
13 139
21 139
23 139
-84 140
-76 140
-74 140
-58 140
-56 140
-48 140
-29 140
-28 140
-2 140
-1 140
6 140
12 140
15 140
21 140
22 140
-103 141
-28 141
-19 141
-18 141
-14 141
-13 141
5 141
6 141
12 141
-178 142
-177 142
-170 142
-169 142
-105 142
-104 142
-103 142
-29 142
-19 142
-17 142
-15 142
-13 142
4 142
5 142
16 142
-178 143
-177 143
-170 143
-169 143
-106 143
-83 143
-80 143
-52 143
-49 143
-29 143
-28 143
-17 143
-15 143
5 143
6 143
11 143
12 143
16 143
-255 144
-254 144
-249 144
-248 144
-246 144
-197 144
-196 144
-106 144
-105 144
-83 144
-82 144
-81 144
-80 144
-70 144
-69 144
-68 144
-64 144
-63 144
-62 144
-52 144
-51 144
-50 144
-49 144
-27 144
-25 144
-24 144
-18 144
-17 144
-15 144
11 144
12 144
13 144
14 144
15 144
-254 145
-249 145
-247 145
-246 145
-229 145
-228 145
-226 145
-215 145
-198 145
-196 145
-77 145
-55 145
-27 145
-26 145
-24 145
-14 145
-13 145
-255 146
-251 146
-250 146
-245 146
-244 146
-230 146
-227 146
-226 146
-215 146
-214 146
-213 146
-198 146
-177 146
-170 146
-117 146
-81 146
-80 146
-79 146
-78 146
-77 146
-70 146
-68 146
-64 146
-62 146
-55 146
-54 146
-53 146
-52 146
-51 146
-23 146
-22 146
-13 146
11 146
12 146
13 146
14 146
15 146
-255 147
-254 147
-251 147
-245 147
-229 147
-217 147
-216 147
-212 147
-201 147
-200 147
-198 147
-183 147
-182 147
-179 147
-178 147
-176 147
-175 147
-172 147
-171 147
-169 147
-168 147
-165 147
-164 147
-118 147
-116 147
-111 147
-81 147
-76 147
-75 147
-69 147
-63 147
-57 147
-56 147
-51 147
-22 147
-14 147
5 147
6 147
11 147
12 147
16 147
-250 148
-244 148
-232 148
-231 148
-230 148
-228 148
-227 148
-226 148
-218 148
-214 148
-213 148
-211 148
-201 148
-200 148
-198 148
-183 148
-182 148
-177 148
-170 148
-165 148
-164 148
-117 148
-111 148
-110 148
-103 148
-102 148
-80 148
-79 148
-76 148
-56 148
-53 148
-52 148
-23 148
-14 148
-13 148
4 148
5 148
16 148
-255 149
-254 149
-251 149
-250 149
-245 149
-244 149
-233 149
-228 149
-225 149
-223 149
-217 149
-216 149
-215 149
-213 149
-211 149
-198 149
-196 149
-195 149
-111 149
-103 149
-102 149
-78 149
-76 149
-56 149
-54 149
-23 149
-22 149
-13 149
5 149
6 149
12 149
-254 150
-251 150
-245 150
-232 150
-231 150
-230 150
-228 150
-226 150
-224 150
-223 150
-210 150
-209 150
-201 150
-200 150
-198 150
-78 150
-76 150
-74 150
-73 150
-59 150
-58 150
-56 150
-54 150
-27 150
-25 150
-24 150
-14 150
-2 150
-1 150
6 150
12 150
15 150
21 150
22 150
-255 151
-250 151
-244 151
-235 151
-234 151
-233 151
-228 151
-226 151
-217 151
-216 151
-215 151
-214 151
-208 151
-201 151
-199 151
-196 151
-193 151
-77 151
-76 151
-74 151
-58 151
-56 151
-55 151
-27 151
-26 151
-24 151
-14 151
-13 151
-3 151
-1 151
13 151
21 151
23 151
-255 152
-254 152
-251 152
-250 152
-245 152
-244 152
-235 152
-232 152
-231 152
-230 152
-229 152
-228 152
-226 152
-217 152
-210 152
-209 152
-207 152
-198 152
-197 152
-195 152
-193 152
-189 152
-188 152
-183 152
-182 152
-177 152
-170 152
-165 152
-164 152
-99 152
-98 152
-74 152
-58 152
-3 152
23 152
-251 153
-245 153
-232 153
-227 153
-216 153
-215 153
-212 153
-209 153
-207 153
-196 153
-188 153
-183 153
-182 153
-179 153
-178 153
-176 153
-175 153
-172 153
-171 153
-169 153
-168 153
-165 153
-164 153
-111 153
-99 153
-98 153
-92 153
-91 153
-74 153
-73 153
-69 153
-68 153
-64 153
-63 153
-59 153
-58 153
-4 153
-3 153
23 153
24 153
-255 154
-254 154
-250 154
-244 154
-231 154
-230 154
-229 154
-228 154
-214 154
-212 154
-210 154
-207 154
-206 154
-196 154
-194 154
-193 154
-192 154
-191 154
-190 154
-189 154
-177 154
-170 154
-117 154
-111 154
-110 154
-92 154
-70 154
-67 154
-65 154
-62 154
-254 155
-251 155
-250 155
-245 155
-244 155
-214 155
-212 155
-210 155
-208 155
-195 155
-118 155
-116 155
-111 155
-94 155
-92 155
-69 155
-68 155
-64 155
-63 155
-255 156
-249 156
-248 156
-246 156
-229 156
-228 156
-213 156
-212 156
-210 156
-208 156
-194 156
-192 156
-191 156
-117 156
-94 156
-93 156
-255 157
-254 157
-249 157
-247 157
-246 157
-229 157
-228 157
-209 157
-195 157
-194 157
-192 157
-191 157
-178 157
-177 157
-170 157
-169 157
-178 158
-177 158
-170 158
-169 158
-104 160
-98 160
-105 161
-104 161
-103 161
-99 161
-98 161
-97 161
-105 166
-97 166
-106 167
-104 167
-98 167
-96 167
-105 168
-97 168
